2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #572348

	* e-shell-importer.c:
	Remove deprecated Gtk+ symbols.

2009-02-24  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #572962

	* e-shell-window.c (setup_nm_support):
	Pass e_shell_dbus_initialise() the right type of object,
	and fix the incorrect function declaration.

	* e-shell-nm.c (e_shell_network_monitor):
	Go offline when we see NM_STATE_ASLEEP from NetworkManager.

2009-02-03  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (evolution_LDFLAGS): Use -mwindows on Windows to
	build a "GUI" executable.

2009-01-11  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-window-commands.c (command_open_faq):
	Call e_show_uri() instead of gnome_url_show().

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell.c:
	* evolution-shell-component-utils.c:
	* importer/intelligent.c:
	* main.c:
	Remove unneeded #include <libgnome/gnome-util.h>.

2009-01-09  Takao Fujiwara  <takao.fujiwara@sun.com>

	Reviewed by Matthew Barnes  <mbarnes@redhat.com>

	* Fix for bug #566011

	* e-user-creatable-items-handler.c
	(e_user_creatable_items_handler_class_ini):
	Include <glib/gi18n-lib.h> instead of <glib/gi18n.h> and
	add bindtextdomain().

2009-01-01  Andre Klapper  <a9016009@gmx.de>

	* e-shell-window-commands.c:
	update Copyright to 2009.

2008-12-28  Matthew Barnes  <mbarnes@redhat.com>

	** Related to bug #562155

	* main.c (idle_cb):
	Only call e_shell_set_crash_recovery() if the EShell Bonobo object
	was constructed successfully, otherwise it will be NULL.  This fixes
	a warning shown in the terminal output of bug #562155, but the bug
	is not reproducible so it's not clear whether this fixes the bug.

2008-12-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #564416

	* e-shell-nm.c:
	We've been listening for obsolete D-Bus signals.
	Update to NetworkManager's current D-Bus API.

2008-12-10  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #563250

	* main.c (main):
	Load on startup and save on shutdown, custom keyboard accelerators.

2008-12-08  Jeff Cai  <jeff.cai@sun.com>

	** Fix for bug #563077

	* e-shell-window.c (setup_widgets): Don't pass NULL to 
	gtk_icon_info_get_filename(). 

	Fixes a crash if the gnome-settings-daemon is not running.
	Observed on SUN Solaris. 

2008-11-07  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #557581

	* main.c:
	Replace DEVELOPMENT with STABLE_VERSION, which actually defines
	the latest stable version (e.g. 2.24).  STABLE_VERSION is only
	defined if the current version is _unstable_ (e.g. 2.25).

	* main.c (show_development_warning):
	Use STABLE_VERSION instead of hard-coding the version number.

2008-10-30  Matthew Barnes  <mbarnes@redhat.com>

	* importer/evolution-importer-client.h:
	* importer/intelligent.c:
	* test/evolution-test-component.c:
	Only include the toplevel GTK+ header.

2008-10-17  Kandepu Prasad  <kaprasad@novell.com>

	** Fix for bug #311479

	* import.glade:
	* importer/import.glade: rephrasing the heading in Evolution Import 
	Assistant

2008-10-17  Matthew Barnes  <mbarnes@redhat.com>

	** Fix for bug #548469

	* Makefile.am:
	* e-shell-nm-glib.c:
	* e-shell-nm.c (reinit_dbus), (e_shell_network_monitor),
	(e_shell_dbus_initialise):
	* e-shell-window-commands.c (command_work_offline),
	(command_work_online):
	* e-shell-window.c (offline_toggle_clicked_cb), (impl_dispose):
	* e-shell.c (impl_Shell_setLineStatus), (e_shell_construct),
	(e_shell_set_line_status):
	* e-shell.h:
	Drop support for deprecated libnm-glib. 

2008-10-03  Sankar P  <psankar@novell.com>

License Changes

	* e-shell-window.c:

2008-09-30  Sankar P  <psankar@novell.com>

License Changes

	* e-shell.c:
	* main.c:

2008-09-29  Gabor Kelemen  <kelemeng@gnome.hu>

	* shell.error.xml: Unbreak build, sorry for the inconvenience.

2008-09-29  Gabor Kelemen  <kelemeng@gnome.hu>

	* shell.error.xml: Mark some forgotten strings for translation. Fixes bug #553106

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* e-shell-window-commands.c:
	* e-user-creatable-items-handler.c:

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* e-shell-view.c:

2008-09-24  Philip Withnall  <philip@tecnocode.co.uk>

	** Fixes bug #553479

	* shell.error.xml: String capitalisation improvements.

2008-09-19  Sankar P  <psankar@novell.com>

License Changes

	* e-sidebar.c:

2008-09-16  Sankar P  <psankar@novell.com>

License Changes

	* test/evolution-test-component.c:

2008-09-15  Bharath Acharya  <abharath@novell.com>

	Updated the list of Contributors.
		
	* e-shell-window-commands.c:

2008-09-12  Sankar P  <psankar@novell.com>

License Changes

	* e-config-upgrade.c:
	* e-shell-importer.c:
	* e-shell-nm-glib.c:
	* e-shell-nm.c:

2008-09-04  Sankar P  <psankar@novell.com>

License Changes

	* e-component-registry.c:
	* e-shell-settings-dialog.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* e-component-registry.h:
	* e-component-view.c:
	* e-corba-config-page.c:
	* e-corba-config-page.h:
	* e-shell-constants.h:
	* e-shell-importer.h:
	* e-shell.h:
	* e-user-creatable-items-handler.h:
	* es-event.c:
	* es-menu.c:
	* evolution-component.c:
	* evolution-config-control.c:
	* evolution-config-control.h:
	* evolution-shell-component-utils.c:
	* evolution-shell-component-utils.h:
	* importer/evolution-importer-client.c:
	* importer/evolution-importer-client.h:
	* importer/evolution-importer-listener.c:
	* importer/evolution-importer-listener.h:
	* importer/evolution-importer.c:
	* importer/evolution-importer.h:
	* importer/evolution-intelligent-importer.c:
	* importer/evolution-intelligent-importer.h:
	* importer/intelligent.c:
	* importer/intelligent.h:
	* test/evolution-test-component.h:

2008-08-30  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #549554 (patch from Paul Bolle)

	* e-shell-importer.c: (struct info):
	Drop sentence about an "Automatic" option.

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* e-component-view.h:
	* e-config-upgrade.h:
	* e-shell-settings-dialog.h:
	* e-shell-view.h:
	* e-shell-window-commands.h:
	* e-shell-window.h:
	* e-sidebar.h:
	* es-event.h:
	* es-menu.h:
	* evolution-component.h:
	* evolution-listener.c:
	* evolution-listener.h:

2008-08-18  Matthew Barnes  <mbarnes@redhat.com>

	* test/evolution-test-component.c (impl_upgradeFromVersion):
	Fix the function signature to conform to the component interface.

2008-08-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #508732

	* e-shell.c:
	Add a "crash_recovery" flag, with accessor functions for it.

	* e-shell-window (init_view):
	Check and reset the "crash_recovery" flag before creating a
	new shell view.  The components can use this flag to take
	steps to recover from the previous crash.

	* apps_evolution_shell.schemas.in:
	Remove the "skip_recovery_dialog" and "recovery" keys.

	* Evolution-Component.idl (createView):
	Add a "select_item" boolean parameter.

	* main.c:
	Kill the crash recovery dialog.  Instead just set the crash
	recovery flag in e-shell appropriately.

2008-08-18  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #416258

	* e-user-creatable-items-handler.c (ensure_menu_items),
	(free_menu_items), (new_button_change), (setup_toolbar_button):
	Added icon_toolbar for default items which is used instead of menu icon.

2008-08-08  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-importer.c:
	Remove unused EShell pointer from ImportData.

2008-08-07  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #467115

	* e-component-registry.h:
	Replace button and menu icon pixbufs with an icon name string.

	* e-component-registry.c (query_components):
	No need to create pixbufs, just save the icon name.

	* e-sidebar.c:
	Remember a default icon name rather than a default pixbuf.

	* e-sidebar.c (e_sidebar_add_button), (e_sidebar_change_button_icon):
	* e-shell-window.c (e_shell_window_change_component_button_icon):
	Take an icon name instead of a pixbuf.

	* e-shell-window.c (switch_view):
	Call gtk_window_set_icon_name() instead of gtk_window_set_icon().

	* e-shell-window.c (setup_widgets):
	Change XML from pixtype="pixbuf" to pixbuf="filename" and derive
	an appropriate filename from the icon name.

2008-08-06  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #249844

	* test/evolution-test-component.c: (impl__get_userCreatableItems):
	Do not let compiler claim.

2008-08-04  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #249844

	* test/evolution-test-component.c (impl__get_userCreatableItems):
	Use C_() macro instead of Q_() macro. 
	Use fully qualified names for "New" submenu entries. 

2008-08-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #544862

	* apps_evolution_shell.scheams.in:
	Clarify description of "use_authentication" key.

2008-07-22  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #544022

	* e-shell-window-commands.c: (char *authors[]):
	Break the escape sequence properly (compiler warning cleanup).

2008-07-20  Andre Klapper  <a9016009@gmx.de>

	** Fixes bug #542828

	* e-shell-window-commands.c:
	update and fix list of contributors. Patch by Maxim Ermilov.

2008-07-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #542587

	* e-shell-window.c: Use new EOnlineButton widget.

2008-07-19  Tor Lillqvist  <tml@novell.com>

	Bug 543758 - Never mark empty strings for translations

	* main.c (main): Change _("") to explicit gettext ("") to avoid
	potentially confusing translation tools or translators.

2008-17-14  Paolo Borelli  <pborelli@katamail.com>

	** Fix for bug #542889

	* e-shell-window.c:
	* e-user-creatable-items-handler.c:
	* e-sidebar.c:
	Port to the new gtk tooltip api.

2008-07-13  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-folder-title-bar.[ch]:
	Remove still more unused files.

2008-07-12  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-utils.[ch]:
	Remove more unused files.

	* e-user-creatable-items-handler.c:
	Remove inclusion of "e-shell-utils.h".

2008-07-10  Matthew Barnes  <mbarnes@redhat.com>

	* e-history.[ch]:
	Remove these files.  They were written in 2002 and, AFACIT,
	never used for anything.

2008-07-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #540282

	* apps_evolution_shell.schemas.in:
	Remove the "printing" GConf key.  We use a key file now.

2008-06-10  Matthew Barnes  <mbarnes@redhat.com>

	* test/evolution-test-component.c:
	Use <glib/gi18n.h> instead of <bonobo/bonobo-i18n.h>.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* e-component-view.h:
	* e-corba-config-page.h:
	* e-history.h:
	* e-shell-folder-title-bar.h:
	* e-shell-settings-dialog.h:
	* e-shell-view.h:
	* e-shell.h:
	* e-user-creatable-items-handler.h:
	* evolution-config-control.h:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-05-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #525241 (EPluginUI)

	* main.c (main): Register the EPluginUIHook type.

2008-05-08  Tor Lillqvist  <tml@novell.com>

	* main.c (main) [Win32]: If no message catalog is installed for
	the current locale language, don't bother with the localisations
	provided by other things then either. Reset thread locale to
	"en-US" and C library locale to "C" to ensure that. This fixes the
	problem where those items in the UI that don't originate from
	message catalogs still appear translated even though message
	catalogs were not installed.

2008-04-29  Akhil Laddha  <lakhil@novell.com>

	** Fix for bug #529660

	* main.c (show_development_warning): Change stable version to 2.22.1

2008-04-26  James Westby  <jw+debian@jameswestby.net>

	** Fix for bug #518103

	* e-shell-nm-glib.c: (e_shell_glib_network_monitor):
	* e-shell-nm.c: (e_shell_network_monitor):
	* e-shell.c: (e_shell_construct):
	Check online status from NetworkManager at startup instead of using the
	last-used-state.

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #526739

	* e-shell-window-commands.c: (command_quick_reference):
	Use gio instead of gnome-vfs.

2008-04-07  Ondrej Jirman  <megous@megous.com>

	** Fix for bug #525238

	* e-shell-window.c: (switch_view):
	* es-event.c:
	* es-event.h:
	Add new "component.activated" event. Event is emitted whenever
	component is activated. ESEventTargetComponent contains an id
	of the component being activated.

2008-03-25  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Added configurable Proxy settings for Evolution.

	* apps_evolution_shell.schemas.in:

2008-03-03  Tor Lillqvist  <tml@novell.com>

	* main.c (main) [Win32]: Drop the call to gtk_rc_parse_string() to
	set gtk-fallback-icon-theme = "gnome". Instead just bundle a
	suitable gtkrc with Evolution. And actually what we want to get
	Tango icons seems to be gtk-fallback-icon-theme = "Tango", and no
	mention of the gnome icon theme at all in gtkrc. (It is still
	used, though.)

2008-03-03  Tor Lillqvist  <tml@novell.com>

	* main.c: On Windows, set PATH to include Evolution's "bin" folder
	and the "lib/evolution/$(BASE_VERSION)/components" folder. Set
	BONOBO_ACTIVATION_PATH to the "lib/bonobo/servers" folder

2008-03-03  Johnny Jacob  <jjohnny@novell.com>

	* e-shell-window-commands.c (authors): Missed '"' :-) .
	
2008-03-03  Johnny Jacob  <jjohnny@novell.com>

	* e-shell-window-commands.c (authors): Updated contributors list.

2008-03-02  Srinivasa Ragavan  <sragavan@novell.com>

	* main.c: (main): Committing the build fix that comes up if
	DEVELOPMENT is enabled.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bnc #173186

	* e-shell-nm.c: (e_shell_network_monitor): Upstreamed Fejj's OpenSUSE
	patch. Crash while quitting.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	reviewed by: <delete if not using a buddy>

	* e-shell-nm.c: (e_shell_network_monitor):

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bnc #159736. Patch from OpenSUSE.

	* e-shell-nm.c: (e_shell_network_monitor):

2008-02-13  Matthew Barnes  <mbarnes@redhat.com>

	* main.c (kill_dataserver):
	Add commands to kill recent versions of evolution-data-server.

2008-01-30  Srinivasa Ragavan  <sragavan@novell.com>

	* apps_evolution_shell.schemas.in: Change Crash Recovery to Crash
	detection.
	* main.c: (show_recovery_warning):

2008-01-29  Matthew Barnes  <mbarnes@redhat.com>

	* e-component-registry.c:
	Replace G_GNUC_FUNCTION (deprecated) with G_STRFUNC.

2008-01-22  Jan Tichavsky  <Jan.Tichavsky@gmail.com>

	** Fix for bug #511232
	
	* e-shell.c: Fixed typo Uknown -> Unknown
	(patch committed by Andre Klapper)

2008-01-21  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-window.c (setup_status_bar):
	Make the status bar height as large as the task bar to eliminate
	"bouncing" when navigating the main menu.  Patch by Jean-Christophe
	Begue (#509509).

2008-01-19  Srinivasa Ragavan  <sragavan@novell.com>

	* e-shell.c: (set_line_status): Fix a regression due to my previous
	commit.

2008-01-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #329712

	* e-shell-window-commands.c: (update_offline_menu_item):
	* e-shell-window.c: (update_offline_toggle_status),
	(update_send_receive_sensitivity),
	(offline_toggle_clicked_callback):
	* e-shell.c: (e_shell_construct), (e_shell_save_settings),
	(set_line_status):
	* e-shell.h: Add a new state to maintian forced offline.

2008-01-14  Kjartan Maraas  <kmaraas@gnome.org>

	* apps_evolution_shell.schemas.in: Add missing punctuation.

2008-01-11  Bharath Acharya <abharath@novell.com>

	** Fix for bug #508678

	* e-shell-view.c: Included missing header glib/gi18n.h

2008-01-11  Changwoo Ryu  <cwryu@debian.org>

	** Fix for bug #508282

	* e-shell-window.c (switch_view): 
	* e-shell-view.c (impl_ShellView_setTitle): Mark the window title
	for translation.

2008-01-07  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-window-commands.c:
	Update copyright notice in About dialog.

2008-01-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #219197

	* e-shell.h:
	* e-shell.c: (e_shell_can_quit), (e_shell_do_quit), (e_shell_quit):
	Call of e_shell_quit divided into two functions, one to check if quit
	is acceptable by all components and second to do quit.
	* main.c: (gnome_master_client_save_yourself_cb),
	(gnome_master_client_die_cb), (main):
	Quit application when session dies.

2007-12-10  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #502501

	* main.c: (show_recovery_warning): Re use the existing string.

2007-12-05  Srinivasa Ragavan  <sragavan@novell.com>

	** Add basic support for crash recovery

	* apps_evolution_shell.schemas.in: Keys to recover and recovery dialog.
	* e-shell.c: (e_shell_quit): Delete the lock while quitting.
	* main.c: (show_recovery_warning), (idle_cb): Create lock and also show 
	the warning dialog.

2007-11-30  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #499920

	* es-event.h:
	Avoid including private header "e-shell.h".
	Use a forward declaration of EShell instead.

	* es-event.c:
	Safe to include "e-shell.h" here.

2007-11-30  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #400213

	* e-shell-window.c: (load_icons): Function removed.
	* e-shell-window.c: (update_offline_toggle_status):
	Do not use pixmaps and masks, load images from file, instead.

2007-11-26  Andre Klapper  <a9016009@gmx.de>

	** Fixes bug #497810

	* e-shell-window-commands.c:
	add "Evolution FAQ" help menu item

2007-11-02  Damien Carbery  <damien.carbery@sun.com>

	** Fixes bug #492058

	* e-shell-window.c:
	* e-shell.c: Name the anonymous unions to build with the Sun
	Studio compiler.

2007-11-01  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-window-commands.c:
	Update the copyright notice in the About dialog.

2007-11-01  Matthew Barnes  <mbarnes@redhat.com>

	* e-user-creatable-items-handler.c (ensure_menu_items):
	Don't compare a character pointer to a string literal.

2007-10-29  Srinivasa Ragavan  <sragavan@novell.com>

	* GNOME_Evolution_Shell.server.in.in: Remove the version.
	* main.c: (show_development_warning): Update the stable version.

2007-10-26  Kjartan Maraas  <kmaraas@gnome.org>

	* e-component-registry.c: (query_components):
	* e-component-view.c: (e_component_view_new),
	(e_component_view_new_controls), (e_component_view_set_title),
	(e_component_view_set_button_icon):
	* e-config-upgrade.c:
	* e-shell-settings-dialog.c: (e_shell_settings_dialog_new):
	* e-shell-window.c: (component_view_free):
	* es-event.c: (es_event_peek):
	* es-menu.c: (es_menu_new):
	* importer/evolution-importer-client.c:
	(evolution_importer_client_create_control):
	Warning fixes:
	- NULL vs 0 vs FALSE
	- ANSIfication of declarations
	- guint for 1-bit bitfields

2007-10-16  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-window-commands.c:
	Add an icon for FilePageSetup.

2007-10-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #329823

	* Evolution-Shell.idl: (setButtonIcon):
	* e-sidebar.h: (e_sidebar_change_button_icon):
	* e-sidebar.c: (struct Button), (button_new), (button_free),
	(e_sidebar_change_button_icon):
	* e-shell.h: (EMainShellFunc), (e_shell_foreach_shell_window):
	* e-shell.c: (EMainShellFunc), (e_shell_foreach_shell_window):
	* e-component-view.h: (e_component_view_set_button_icon):
	* e-component-view.c: (e_component_view_set_button_icon):
	* e-shell-window.h: (e_shell_window_change_component_button_icon):
	* e-shell-window.c: (e_shell_window_change_component_button_icon):
	* e-shell-view.c: (struct change_icon_struct),
	(change_button_icon_func), (impl_ShellView_setButtonIcon),
	(e_shell_view_class_init):
	Added support to change component's button icon.

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* e-shell.c:
	* e-shell-window.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-10-03  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-window-commands.c (command_about):
	Fix capitalization of program name in About dialog (#481325).

2007-10-02  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #469657

	* e-shell-settings-dialog.c:
	Use destroy functions in GHashTables to simplify memory management.

2007-09-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #461195

	* e-shell-marshal.list: Remove needless marshalers.
	* e-shell-folder-title-bar.c:
	* e-shell.c:
	* e-shell-window.c:
	* e-shell-marshal.list:
	* e-sidebar.c: Use GObject's marshalers.

2007-09-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #477045

	* e-shell-window-commands.c:
	Use standard icon names where applicable.

2007-09-11  Matthew Barnes  <mbarnes@redhat.com>

	* Move the test component to a 'test' subdirectory (#469992).

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	* e-shell-window-commands.c: Add contributors to the credits section.
	Thanks a lot to EvaSDK.

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #471791 (Move away from asserts to g_ret*)

	* e-shell-importer.c: (create_help):
	* e-shell-window-commands.c: (update_offline_menu_item):
	* e-shell-window.c: (init_view), (update_offline_toggle_status),
	(offline_toggle_clicked_callback), (setup_offline_toggle):
	* e-shell.c: (window_delete_event_cb), (e_shell_construct),
	(remove_dir), (e_shell_attempt_upgrade):
	* e-user-creatable-items-handler.c: (execute_verb):
	* main.c: (open_uris), (idle_cb):

2007-08-08  Srinivasa Ragavan  <sragavan@novell.com>

	** Add a new command line option to disable crash-on-select mails,
	tasks, contacts.

	* main.c: (main): Added a new command line option.

2007-07-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* e-shell-window-command.c: (view_statusbar_item_toggled_handler),
	(view_sidebar_item_toggled_handler):
	* e-shell-window.c: (setup_status_bar):
	* e-user-creatable-items-handler.c: (setup_toolbar_button): Plugged
	memory leaks.

2007-07-09  Matthew Barnes  <mbarnes@redhat.com>

	* es-event.h: Declare es_event_target_new_shell().

2007-07-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #446894

	* e-shell-window-commands.c (command_page_setup):
	Callback for new FilePageSetup verb.

2007-07-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Added a hook event after the shell is started.

	* e-shell.c: (e_shell_create_window):
	* es-event.c: (es_event_target_new_shell):
	* es-event.h:

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #448201 from Gabor Kelemen

	* main.c: (main): Add translation domain

2007-06-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #325882

	* import.glade:
	* e-active-connection-dialog.glade:
	* importer/import.glade:
	Changed GTK_WIN_POS_NONE to GTK_WIN_POS_CENTER_ON_PARENT.

2007-06-17  Tobias Mueller <tobiasmue@svn.gnome.org>

	* evolution-test-component.c:
	removed createControls stuff. Fixes #444289

2007-06-15  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-folder-title-bar.c:
	Use ellipsized GtkLabels instead of EClippedLabels (#447727).

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #386503 from Matthew Barnes
	
	* e-shell-window.c: (e_shell_window_new):
	* main.c: (main):

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

        ** Fix for version removal from Installed files from Gilles Dartiguelongue 
	
	* Makefile.am:

2007-06-02  Gilles Dartiguelongue  <dartigug@esiee.fr>

	* Fix bug #441055

	* e-component-registry.c: (query_components):
	* e-shell-nm-glib.c: (e_shell_nm_glib_initialise),
	(e_shell_nm_glib_dispose):
	* e-shell-settings-dialog.c: (load_pages):
	various compilation warning cleanup

2007-05-28  Jules Colding  <colding@omesc.com>

	* main.c (main): Prevent dup2() and close() on -1

2007-05-13  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell.c (impl_Shell_handleURI):
	Revert the change from 2007-05-11.  (#407104)

2007-05-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #337616

	* Makefile.am: Add $(schema_DATA) to DISTCLEANFILES.

2007-05-11  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell.c (impl_Shell_handleURI):
	Create a shell window if the schema or an alias was found.
	Previously this only opened a window if an alias was found
	but not the schema.  Makes the GNOME Clock applet able to
	correctly start Evolution once again.  (#407104)

2007-05-01  Matthew Barnes  <mbarnes@redhat.com>

	* main.c (show_development_warning):
	Bump stable version recommendation from 2.8.1 to 2.10.1.

2007-04-24  Matthew Barnes  <mbarnes@redhat.com>

	* main.c: #include <gtk/gtkcheckbutton.h>  (#433005)
	Patch from Daniel Gryniewicz.

2007-04-23  Srinivasa Ragavan  <sragavan@novell.com>

	* main.c: (main): Fix 2 build breaks if built with development version

2007-04-22  Stephen Cook  <siti@orcon.net.nz>
	
	* main.c: fix startup notification problem (closes: #271851)
	

2007-04-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #259606 from Michael Meeks

	* e-shell-marshal.list:
	* e-shell-window.c: (get_component_view),
	(sidebar_button_selected_callback),
	(sidebar_button_pressed_callback), (setup_widgets): Added support for
	middle click to open the component in new window.
	* e-shell.c:
	* e-sidebar.c: (button_pressed_callback),
	(boolean_handled_accumulator), (e_sidebar_class_init),
	(e_sidebar_add_button):
	* e-sidebar.h:

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* e-shell.c (impl_finalize):
	e_free_string_list() is dead; just do it manually.

	* e-user-creatable-items-handler.c (setup_toolbar_button):
	Use g_object_ref_sink() instead of gtk_object_sink().

	* e-shell-importer.c:
	Drop support for GnomeFileEntry.

	* importer/intelligent.c (create_gui):
	Use g_object_ref() instead of gtk_widget_ref().

	* e-history.c (e_history_init):
	Clear the floating flag without using GTK_OBJECT_UNSET_FLAGS().

	* e-shell-settings-dialog.c:
	Include missing header file(s).

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* e-shell-window.c:
	Fix "incompatible pointer type" warnings (#360619).

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

	* e-component-registry.c (query_components):
	* e-shell-settings-dialog.c (load_pages):
	* e-shell-window-commands.c (command_quick_reference):
	Use g_get_language_names() instead of gnome_i18n_get_language_list().

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #419469 - Miscellaneous main.c cleanups

	* main.c (kill_dataserver): Kill evolution-data-server-1.8.

	* main.c (show_development_warning): Call gtk_dialog_run() instead
	of listening for a "response" signal.  Pass the checkbox state back
	to main() and let main() set the "show_dialog_warning" GConf key.

	* main.c (open_uris), (idle_cb), (main): Use the remaining_args
	string vector directly instead of needlessly building a GSList
	out of it.

	* main.c (main): Manage a reference to the default GConf client and
	pass it to the functions that need it.

2007-03-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #360240

	* e-shell-importer.c (importer_file_page_new):
	Remove unused variable.

2007-03-12 Harish Krishnaswamy <kharish@novell.com>
	
	* e-shell-window-commands.c : Update contributors' list for
	credits.

2007-02-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #360946

	e-shell-window-commands.c (command_about): Migrate to GtkAboutDialog,
	use "evolution" for the icon name, add a website link.

	main.c (main): Set default window icon name to "evolution".

2007-02-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Rewrite of print settings schema from Matthew Barnes

	* apps_evolution_shell.schemas.in.in:

2007-02-09  William Jon McCann  <mccann@jhu.edu>

	* e-shell-nm-glib.c: Fix the build.  Fixes #403744

2007-01-22  Srinivasa Ragavan  <sragavan@novell.com>

	** Added schemas from GtkPrint API by Ebby Wiselyn.

	* apps_evolution_shell.schemas.in.in:

2006-12-03  Harish Krishnaswamy  <kharish@novell.com>

	* e-shell.c: (impl_dispose): Fix memory leak of iid.

2006-11-29  Chris Halls <halls@debian.org>

	* main.c: Register import eplugin type. 
	Fixes bug #372528.

2006-10-17  Harish Krishnaswamy  <kharish@novell.com>

	* main.c: (show_development_warning):  Update last
	stable version.

2006-10-16  Chris Heath  <chris@heathens.co.nz>

	* e-shell-window.c (component_view_free): Fix memory leak.
	Fixes bug #360815.

2006-10-13  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fix for bug #334966

	* e-shell-window.c: (impl_dispose), (e_shell_window_init),
	(e_shell_window_set_title): Fixes a crash while closing window.

2006-09-28  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #343331
	
	* e-shell-window.c: (impl_dispose): Remove the timer which seem to get
	activated after we destroy.

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes #351332

	* e-shell-window.c: Fix implicit function declarations.

2006-09-14  Andre Klapper  <a9016009@gmx.de>

	* main.c: update last stable version number from 2.6.3 to 2.8.0

2006-09-04  Harish Krishnaswamy  <kharish@novell.com>

	* e-shell-window-commands.c: Add documentation
	credits.

2006-08-23  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #334821 by Tollef Fog Heen
	
	* main.c: it should not spawn the default shell for uris.

2006-08-23  Daniel Gryniewicz  <dang@gentoo.org>
  	 
	* e-shell-window.c:
	Make sure default window sizes are positive numbers.
	Fixes bug 349967. Committed by Andre Klapper.

2006-08-22  Andre Klapper  <a9016009@gmx.de>

	* e-shell-window-commands.c: Update some credits for
	the previous development series.

2006-08-22  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #346317
	* e-user-creatable-items-handler.c: (set_combo_button_style): Truncate
	spaces from the label of new mail button.

2006-08-21  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #346797 Patch by Matthew Barnes

	* e-shell-window-commands.c: (command_submit_bug): Fix to use new bug
	buddy.

2006-08-17  Kjartan Maraas  <kmaraas@gnome.org>

	* e-user-creatable-items-handler.c: (new_button_change),
	(setup_toolbar_button): Plug some leaks.

2006-08-02  Andre Klapper  <a9016009@gmx.de>

	* main.c: update last stable version number from 2.6.2 to 2.6.3

2006-07-27  Bastien Nocera  <hadess@hadess.net>

	* e-shell-nm-glib.c: (e_shell_glib_network_monitor),
	(e_shell_nm_glib_initialise), (e_shell_nm_glib_dispose):
	* e-shell-nm.c: (e_shell_dbus_dispose):
	* e-shell-window.c: (impl_dispose): Fix warnings at build-time, and
	clean up the connections to the D-Bus on exit (Closes: #332387)

2006-07-13  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #345331
	
	* e-user-creatable-items-handler.c: (set_combo_button_style): Default
	to both style.

2006-07-12  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #347182
	* e-user-creatable-items-handlers.c:
	(set_combo_button_style): New function.
	(new_button_change): Call set_combo_button_style.
	(setup_toolbar_button): Call set_combo_button_style.

2006-07-07  Li Yuan  <li.yuan@sun.com>

	* e-shell-window.c: (setup_widgets):
	Fix for #346613.
	Fix the problem pointed out by Johnny <jjohnny@novell.com>.
	When maximize Evolution, close and start Evolution sometimes,
	the sidebar grows towards right. Set the view_notebook can be expanded
	when the paned widget is resized.

2006-07-05  Li Yuan  <li.yuan@sun.com>

	* e-shell-window.c: (setup_widgets):
	Fix for #346613.
	Make the view_notebook cannot be resized shorter than its need.

2006-06-21  Srinivasa Ragavan  <sragavan@novell.com>

	* e-user-creatable-items-handler.c: (setup_toolbar_button): Fixed a
	minor packing issue in New button.

2006-06-17  Tor Lillqvist  <tml@novell.com>

	* e-shell.c (impl_finalize): Don't call
	bonobo_activation_active_server_unregister() here, it's too late,
	the EShell Bonobo object has already been deactivated and its
	associated CORBA object is NULL.
	(notify_no_windows_left_idle_cb): Instead, call
	bonobo_activation_active_server_unregister() here, when the EShell
	Bonobo object is still fully active.

2006-06-19  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #252814
	
	* e-user-creatable-items-handler.c: (new_button_change),
	(setup_toolbar_button), (e_user_creatable_items_handler_activate):
	Read the toolbar setting and set the combo button. Patch from Oswald.

2006-06-17  Andre Klapper  <a9016009@gmx.de>

	* main.c: update last stable version number from 2.6.1 to 2.6.2

2006-05-25  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #341334
	
	* e-component-registry.c: (e_component_registry_peek_info): Check for
	the presence of the fields before comparing. Exchange component wont
	have these alias/etc.

2006-05-15  Li Yuan <li.yuan@sun.com>

	Fixes #341525

	* e-sidebar.c: (button_toggled_callback):
	If the button has been selected, it is no need to emit the signal.

2006-04-30  Nancy Cai <nancy.cai@sun.com>

	Fixes #323853

	* e-shell-importer.c: (filename_changed), (item_selected),
	(importer_file_page_new), (prepare_file_page):
	replacing GnomeFileEntry by GtkFileButton, which can import task files
	with none UTF-8 filenames.

2006-04-27  Andre Klapper  <a9016009@gmx.de>

	* main.c: update last stable version number from 2.4.2.1 to 2.6.1

2006-04-24  Harish Krishnaswamy  <kharish@novell.com>

	* main.c: (kill_dataserver): add eds-1.4 and eds-1.6
	to the list of old instances.

2006-04-24  Harish Krishnaswamy  <kharish@novell.com>

	* e-shell-window-commands.c: Update credits for
	the previous development series.

2006-04-06  Alejandro Andres <fuzzy.alej@gmail.com>

	* e-shell-view.c
	* e-shell-window.c

	Fixes #337258. Now Evolution is shown at the end of the title bar.

2006-04-21  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #329731

	* apps_evolution_shell.schemas.in.in: Added schema to maintain the
	visibility of status bar.

2006-04-18  Jeffrey Stedfast  <fejj@novell.com>

	* e-shell-nm.c (e_shell_network_monitor): Intercept the
	Disconnected signal and setup a timeout to try and reconnect when
	the dbus daemon comes back up.

2006-02-21  Tor Lillqvist  <tml@novell.com>

	* main.c (main): On Win32, finally call link_shutdown() (from
	ORBit2/linc2), otherwise if we have used any other component than
	mail, we will hang with the link_io_thread still running (blocked
	in g_poll()). Sigh, the linc2 code is a mystery. Why this is
	necessary I have no idea.

	* main.c (main): On Win32, set the gtk-fallback-icon-theme to
	"gnome".

2006-02-07  Andre Klapper  <a9016009@gmx.de>

	* e-shell-window-commands.c: changing year from 2005 to 2006.

2006-02-05  Andre Klapper  <a9016009@gmx.de>

	* shell.error.xml: fixing one typo. fixes #304996 partially.

2006-02-05  Shreyas Srinivasan  <sshreyas@novell.com>

	* e-shell-nm-glib.c: init the nm-dbus connection once. 
	
2006-01-29  Kjartan Maraas  <kmaraas@gnome.org>

	* e-corba-config-page.c: (e_corba_config_page_class_init):
	* e-shell-folder-title-bar.c: (e_shell_folder_title_bar_construct):
	* e-shell-window.c: (init_view):
	* e-shell.c: (detect_version), (e_shell_construct), (e_shell_new),
	(e_shell_attempt_upgrade), (e_shell_create_window),
	(e_shell_save_settings):
	* main.c: (idle_cb):
	Remove unused code and fix format specifiers in some cases.

2006-01-26  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>

	** Fixes Bug #257654
	
	* e-shell-window.c:
	* e-shell-window-commands.c: Added code to show/hide sidebar.

2006-01-29  Harish Krishnaswamy  <kharish@novell.com>

	* main.c: (show_development_warning):
	 s/don't/do not/ string change. Fixes #325276.

2006-01-27  Andre Klapper <a9016009@gmx.de>
	* apps_evolution_shell.schemas.in.in: changed tow strings to add
	missing punctuation and clarification for translators.
	Fixes bug 306117.

2006-01-26  Andre Klapper <a9016009@gmx.de>
	* e-shell-window-commands.c: adding missing comma in the
	contributors list.

2006-01-23  Joe Marcus Clarke <marcus@freebsd.org>

	* e-user-creatable-items-handler.c: adding a check to make sure 
	the shortcut key is not the NUL byte. Fixes bug 327468.

2006-01-21  Andre Klapper <a9016009@gmx.de>

	* e-shell-settings-dialog.c: changed string "Settings" to 
	"Preferneces" to keep consistency. Fixes bug 327933.

2006-01-19  Kyle Ambroff  <kambroff@csus.edu>

	* shell.error.xml: Default to [Cancel] instead of [Forget] in the
	when selecting "Forget Passwords" from the menu. (#325871)

2006-01-06  Andre Klapper <a9016009@gmx.de>
	* shell/e-shell-window.c: fixing two missing whitespaces.
	Fixes bug 325568.

2006-01-02  Harish Krishnaswamy  <kharish@novell.com>

	* e-shell-nm-glib.c (e_shell_nm_glib_initialise): Remove
	suspicious and possibly redundant register/unregister calls. Fixes
	#325364 (critical warning crasher).

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* shell.error.xml: removed a typo. yeah.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* shell.error.xml: removed a duplicated word. Fixes bug 325119.

2005-12-22  Tor Lillqvist  <tml@novell.com>

	* Evolution-Shell.idl: Guard against generating code when running
	this through the IDL compiler elsewhere than here in evo/shell,
	the same way as in Evolution-Component.idl. Otherwise we get
	duplicated IDL-generated functions in the libeshell and
	libevolution-mail DLLs (shared libraries), which causes much pain
	on Win32 at least, and is useless and potentially risky on all
	platforms.

2005-09-24  Andre Klapper  <a9016009@gmx.de>:
	
	Reviewed and committed by Harish <kharish@novell.com>

	* shell.error.xml: fixed two dead links to "support.ximian.com" now to
	the (yet to come) FAQ at go-evolution.org. (#315866)

2005-12-22  Parthasarathi Susarla <sparthasarathi@novell.com>
	
	* Evolution-Component.idl
	* Evolution-Shell.idl
	* Evolution.idl:
	Remove duplicate definitions and circular dependencies.
	
	* e-shell.c: comment out the implementation for findComponent. 
	If implemented, this creates a circular dependency between the
	Shell.idl and Component.idl. 
	** This is just a work-around **

2005-12-22  Shreyas Srinivasan <sshreyas@novell.com>

	* Network Manager Support for shell
	
	* Evolution-Component.idl (setLineStatus): Add enum ShellState
	which can represent network down rather than just a boolean.
	
	* e-shell-nm.c: Add new file handles offline/ online signals
	generated by the Network Manager using the native dbus interface.

	* e-shell-nm-glib.c: Add new file handles offline/ online signals
	generated by the Network Manager using the glib interface.
	
	* Makefile.am: Add e-shell-nm.c or e-shell-nm-glib.c to the list
	of files built into evolution_sources depending on how evolution
	is configured.
	
	* e-shell-window_commands.c: Use new changed signature of
	e_shell_go_offline.
	
	* e-shell-window.c (setup_status_bar): Initialise the dbus
	connection.
	
	* e-shell.c (set_line_status): Handle network down triggered
	Force_offline. New signatures for e_shell_go_offline and 
	e_shell_go_online.
	
	* e-shell.h: New function signatures for e_shell_go_offline and
	e_shell_go_online.
	
2005-12-21  Not Zed  <NotZed@Ximian.com>

	* e-shell-view.c (impl_ShellView_setTitle): take a component id
	argument.

	* e-shell-window.c (component_view_free): release the corba object
	properly.
	(e_shell_window_set_title): new helper to set the title for the
	component.
	(switch_view): use the component specific title if available or
	fallback to the component name.

2004-12-21  Not Zed  <NotZed@Ximian.com>

	** See bug #60354.

	* Evolution-Component.idl: createControls -> createView and
	ComponentView to keep track of things.

	* Evolution-Shell.idl: return a new type ShellView from
	createNewWindow so other parts of the system can access it later.
	ShellView so far just lets you set title or switch component, but
	could be subclassed later.

	* e-shell.c (impl_Shell_createNewWindow): return a shell view.

	* e-shell-window.c (init_view): create the view from the compnent
	first, then get the controls from it separately.
	(init): setup the e-shell-view object for the create view
	thing.

	* e-shell-view.c (e_shell_view_new): simple bonobo object for
	Evolution_ShellView, keep track of the EShellWindow.

	* e-component-view.[ch]: simple bonobo object for
	Evolution_ComponentView.  Just keep track of the controls.

	Committed on behalf of NotZed - partha

2005-12-17  Tor Lillqvist  <tml@novell.com>

	* e-config-upgrade.c: Use libedataserver's e_xml_parse_file()
	instead of xmlParseFile() directly.

	* e-shell.c
	* e-shell-importer.c: Use GLib API when applicable.

	* e-shell-importer.c
	* e-shell-window.c: Construct pathname of glade file at run-time.

	* e-shell-window-commands.c: Include e-util-private.h for Win32
	redefinition of EVOLUTION_DATADIR.

	* main.c: No SIGSEGV handling on Win32.
	(main): Drop unused evolution_directory variable.

2005-12-12  David Malcolm  <dmalcolm@redhat.com>

	* e-shell-window.c (setup_widgets): escape the string when generating 
	XML UI description of component switcher menu item, to avoid it being 
	non-well-formed when a translation contains a quote character. Fixes 
	#322001

2005-11-14  Harish Krishnaswamy  <kharish@novell.com>

	* e-shell-settings-dialog.c: (set_dialog_size),
	(e_shell_settings_dialog_init): Revert the previous
	patch as it distorts the size of the dialog on some
	displays.

2005-11-10  Srinivasa Ragavan <sragavan@novell.com>

	* e-shell-settings-dialog.c (set_dialog_size) 
	(e_shell_settings_dialog_init): Set the size of the preference
	window so that it doesnt flicker. Hide it till all the pages are
	loaded.

2005-10-25  Harish Krishnaswamy  <kharish@novell.com>

	* main.c: (show_development_warning): Update
	version and bugzilla information.

2005-09-23  S.Antony Vincent Pandian <santony@gmail.com>

	solves bug # 307780

	* e-shell-window.h: added the prototype for the function
	e_shell_window_peek_statusbar(..);

	* e-shell-window.c: show/hide the status bar widget based on the saved
	property.
	retreive the status bar's previous status and set in UI.
	define the function e_shell_window_peek_statusbar() which retrieves
	the status bar widget for e-shell-window-commands.c

	* e-shell-window-commands.c: view_statusbar_item_toggled_handler()
	is the component listener for the "View Status Bar" menu item.it 
	handles the click event in the menu item "View status Bar".The
	state of the status bar is also saved every time an event occurs
	on it.
	setting the component listener to the component.
		
2005-08-28  Harish Krishnaswamy  <kharish@novell.com>

	* e-shell-window-commands.c: Update credits.

2005-08-23  Not Zed  <NotZed@Ximian.com>

	* e-shell-window-commands.c: include missing e-error.h

	* e-component-registry.c (query_components): cast away a seemingly
	spurious warning.

2005-08-17  Not Zed  <NotZed@Ximian.com>

	* e-shell.c (impl_Shell_handleURI): fix warning.
	(impl_Shell_findComponent): fix signature for warning.

2005-08-16  Not Zed  <NotZed@Ximian.com>

	** See bug #312668.

	* e-shell.c (set_line_status, set_line_status_complete)
	(set_line_status_finished): new code to set componetns on/offline.
	(e_shell_go_online, e_shell_go_offline): use new interface.
	(offline_procedure_started_cb, offline_procedure_finished_cb): removed.
	(impl_dispose): cleanup line status listener.
	(e_shell_init): setup line status listener.

	* evolution-listener.[ch]: skeleton listener object for new
	setlinestatus call.

	* Evolution-Offline.idl, e-shell-offline-handler.[ch]: killed.  We
	just add a single interface on EvolutionComponent now, much
	simpler.

2005-08-15  Christian Kellner  <gicmo@gnome.org>

	* Makefile.am: Install missing e-plugin header es-event.h
	and es-menu.h.
	Fixes bug #313585.

2005-08-10  Tor Lillqvist  <tml@novell.com>

	* Makefile.am: Use privsolib instead of privlib. Link with
	SHELL_LIBS. Use NO_UNDEFINED. Use EXEEXT. Use hack to workaround
	MSYS feature on Win32 when installing the schemas.
	(INCLUDES): Define EVOLUTION_IMAGESDIR like in
	../e-util/e-util-private.h, not EVOLUTION_IMAGES.
	(idl_defines): Pass marker macro to IDL compiler, see below.

	* Evolution-Component.idl: Don't generate duplicate code in skels
	and stubs when including this file from other idl files (in
	particular, ../mail/Evolution-Mail.idl). Use the include_defs and
	inhibit pragmas unless IDL-compiling in this directory. See
	lists.ximian.com/pipermail/evolution-patches/2005-June/010899.html

	* e-shell-utils.c
	* e-shell-windows.c: Ue EVOLUTION_IMAGESDIR in such a way that it
	works even when it is a function call.

2005-08-10  Not Zed  <NotZed@Ximian.com>

	** See bug #271984.

	* es-menu.c (esm_class_init): remove debug.

2005-07-26  Harish Krishnaswamy  <kharish@novell.com>

	* Makefile.am, evolution-component.h: fix make distcheck
	issues.

2005-07-21  Sarfraaz Ahmed <asarfraaz@novell.com>

	* e-component-registry.c (query_components): Dont enter default values 
	for button label and menu label
	* e-shell-window.c (setup_widgets): Dont add the sidebar button when 
	there is no label.

2005-07-22  Sankar P  <psankar@novell.com>

	* shell.error.xml : Changed the strings to be more interactive 
	and consistent with the exisiting dialog prompts.

2005-07-21  Sankar P  <psankar@novell.com>

	* shell.error.xml : Added string for forget password prompt.

	* e-shell-window-commands.c: (command_forget_passwords)
	Added call to a confirmation dialog before forgetting passwords.
	Fixes bug #216021

2005-07-21  Not Zed  <NotZed@Ximian.com>

	* e-shell-window-commands.c: fix the pixmap location for the
	settings menu.

	* e-shell-window.c (setup_widgets): reverted dobey's patch to put
	the components in the useless tools window.

2005-07-07  Kjartan Maraas  <kmaraas@gnome.org>

	* e-shell-window.c: (setup_widgets): Free the style here.

2005-07-06  Not Zed  <NotZed@Ximian.com>

	* e-shell-importer.c (import_druid_finish): now setup a window to
	display importer progress, so it doesn't have to be copied for all
	importers & they can all share it.
	(import_druid_finish): fix the error id/prompt

2005-07-01  Not Zed  <NotZed@Ximian.com>

	* import.glade: moved from importer/ to here.

	* importer/*: Killed all of this off.

	* Makefile.am: remove importer/ and related stuff.

2005-06-24  Harish Krishnaswamy <kharish@novell.com> 

	(patch submitted by Andre Klapper <a9016009@gmx.de>)
	* e-shell-window-commands.c: changed copyright year from 2004 to 2005

2005-06-23  Not Zed  <NotZed@Ximian.com>

	* e-shell-window-commands.c: added jonathan dieter.  Fixed up the
	busted utf8 and duplicates.

2005-06-21  Not Zed  <NotZed@Ximian.com>

	* e-shell-window-commands.c: add brian mury to contributors.

2005-06-18  Tor Lillqvist  <tml@novell.com>

	* GNOME_Evolution_Shell.server.in.in: Use EXEEXT.

	* GNOME_Evolution_Test.server.in.in: Use SOEXT.

2005-06-02  Not Zed  <NotZed@Ximian.com>

	* Evolution.*.idl: Fix so these are only ever included once.

	* evolution-component.c: BonoboObject wrapper for
	Evolution::Component interface.  Abstract, doesn't implement
	methods.

	* Evolution-Shell.idl: add a method to find a component by
	component alias.

	* e-shell.c (impl_Shell_findComponent): & implement it

2005-06-01  Not Zed  <NotZed@Ximian.com>

	* e-shell-window-commands.c: fixed the utf8 in the last patch.

2005-06-01 S.Çaglar Onur <caglar@uludag.org.tr>

	* e-shell-window-commands.c (authors[]): Fixed my name.

2005-05-31  Rodrigo Moya <rodrigo@novell.com>

	* GNOME_Evolution_Shell.server.in.in: added missing name to
	Shell_Config_Factory object description.

2005-05-25  Not Zed  <NotZed@Ximian.com>

	* main.c (main): remove mono registrtion, this is implemented
	using a plugin now.  register the plugin type loader hook.

2005-05-16  Not Zed  <NotZed@Ximian.com>

	* Makefile.am: fix error file build/path changes

2005-05-16  Srinivasa Ragavan <sragavan@novell.com>
	* e-component-registry.c(component_info_new) (component_info_free)(query_components):
	  e-component-registry.h:
	  e-shell-window.c (setup_widgets):
	  e-sidebar.c (button_new) (button_free) (e_sidebar_add_button) (set_mode_internal):
	  e-sidebar.h:
	  
	  Added support to read .server files for tooltips and show them in ICON only mode.
	  
2005-05-13  Rodney Dawes  <dobey@novell.com>

	* e-shell-window.c (setup_widgets): Update for the new menu layout by
	putting the "component" switching items under the "Tools" menu

2005-05-13  Shreyas Srinivasan	<sshreyas@novell.com>

	* e-shell-offline-handler.c: Remove the go->offline dialog.
	
2005-05-12  Harish Krishnaswamy  <kharish@novell.com>

	* main.c: (kill_dataserver): add evolution-data-server-1.2
	to the list of old dataserver instances.

2005-05-06  Chenthill Palanisamy  <pchenthill@novell.com>
	
	Fixes #301459
	* e-shell-importer.c: Correct the typo error and made
	the sentence more clear.

2005-05-02  JP Rosevear  <jpr@novell.com>

	* Evolution.idl: remove Evolution-common.idl

	* Makefile.am: don't build Evolution-common.idl

	* Evolution-common.idl: remove dead code
	
2005-04-29  JP Rosevear  <jpr@novell.com>

	* Makefile.am: don't build/install corba icon utils

	* Remove e-shell-corba-icon-utils.c	

2005-04-29  JP Rosevear  <jpr@novell.com>

	* Makefile.am: don't build wizard related code

	* Evolution.idl: remove wizard idl include

	* e-shell.c: remove wizard include

	* Remove wizard related code which is now in a plugin (and is much
	simpler due to eplugin)

2005-04-28  Not Zed  <NotZed@Ximian.com>

	* main.c (main): setup the profiling plugin hook if profiling is
	compiled in.

2005-04-06  Yong Sun <Yong.Sun@Sun.COM>

	* e-shell-importer.c: (get_name_from_component_info):
	Return the localized name of the supported file type.

2005-03-21  JP Rosevear  <jpr@novell.com>

	Fixes #73066
	
	* apps_evolution_shell.schemas.in.in: fix typo

2005-03-21  JP Rosevear  <jpr@novell.com>
	
	* main.c: switch #ifdef DEVELOPMENT to #if DEVELOPMENT so the
	configure.in foo actually controls this

2005-03-17  Not Zed  <NotZed@Ximian.com>

	* es-event.h: fix the qualifier bit assignments for the STATE target.

	* e-shell.c (offline_procedure_finished_cb): fix offline state event.

2005-02-28  JP Rosevear  <jpr@novell.com>

	* e-shell-window-commands.c (command_submit_bug): update authors
	list for about dialog

2005-02-21  JP Rosevear  <jpr@novell.com>
  
  	* es-event.c (es_event_target_new_upgrade): create upgrade target
  
  	* es-event.h: add upgrade target 
  
  	* e-shell.c (e_shell_attempt_upgrade): emit upgrade.done
  
2005-02-23  JP Rosevear  <jpr@novell.com>
 
 	Fixes #33287
 	
 	* e-shell-window.c (e_shell_window_new): set the send/receive
 	sensitivity when we first start up
	
2005-02-23  Hans Petter Jansson  <hpj@novell.com>

	* e-shell-window-commands.c:
	* e-shell.c:
	* main.c: Include <libedataserverui/e-passwords.h>.

2005-02-22  Marco Pesenti Gritti  <marco@gnome.org>

	* shell/e-shell-window-commands.c: (command_quick_reference):
	Use gnome-vfs API to open quick reference in the pdf viewer

2005-02-22  William Jon McCann  <mccann@jhu.edu>

	* e-shell-window.c (setup_offline_toggle): Make offline button scale
	with font size.  Fixes #48868.

2005-02-10  JP Rosevear  <jpr@novell.com>

	* e-component-registry.c (query_components): unref the menu icon
	if it exists to fix a leak

2005-02-07  JP Rosevear  <jpr@novell.com>

	* apps_evolution_shell.schemas.in.in: clean up descriptions
	
2005-02-01  JP Rosevear  <jpr@novell.com>

	* e-shell-window-commands.c: add to about box

2005-01-28  JP Rosevear  <jpr@novell.com>

	* e-component-registry.c: Remove e-shell-utils.c include

2005-01-21  JP Rosevear  <jpr@novell.com>

	* apps_evolution_shell.schemas.in.in: close long tag

2005-01-21  JP Rosevear  <jpr@novell.com>

	* apps_evolution_shell.schemas.in.in: add print_config schema item

2005-01-21  JP Rosevear  <jpr@novell.com>
	
	* e-shell-offline-handler.c
	(impl_OfflineProgressListener_updateProgress): mark priv->finished
	as true first so we don't access freed memory if we get finalized
	during the signal emmission
	(cancel_offline): ditto
	(finalize_offline): ditto
	(e_shell_offline_handler_put_components_offline): ditto

2005-01-20  Mengjie Yu  <meng-jie.yu@sun.com>

	* e-shell-importer.c: (import_druid_esc),
	(e_shell_importer_start_import):
	Close import wizard on 'ESC'

2005-01-09  JP Rosevear  <jpr@novell.com>

	* e-shell.c (impl_Shell_handleURI): open a new window if we get a
	component id type url

	* Evolution-Shell.idl: add ComponentNotFound exception

2005-01-06  JP Rosevear  <jpr@novell.com>

	* Makefile.am: install schemas properly and add some uninstall
	rules for local install rules

2005-01-04  JP Rosevear  <jpr@novell.com>

	* e-sidebar.h: new protos, modes

	* e-sidebar.c: handle 2 more modes, text only and toolbar style;
	allow visibility to be set for the buttons

	* e-shell-window.h: new proto

	* e-shell-window.c (setup_widgets): set the sidebar setting and
	visibility based on stored gconf settings
	(e_shell_window_save_defaults): save the current sidebar setting
	visibility
	(e_shell_window_peek_sidebar): return the sidebar

	* e-shell-window-commands.c (e_shell_window_commands_setup): add
	listeners for each of the component button radio items and for the
	hide toggle
	(view_buttons_icontext_item_toggled_handler): listener callback,
	set mode
	(view_buttons_icon_item_toggled_handler): ditto
	(view_buttons_text_item_toggled_handler): ditto
	(view_buttons_toolbar_item_toggled_handler): ditto
	(view_buttons_hide_item_toggled_handler): listener callback, set
	visibility

	* apps_evolution_shell.schemas.in.in: add component button style
	and visibility defaults

2004-12-29  Rodrigo Moya <rodrigo@novell.com>

	* main.c (show_development_warning): 2.0 is the current stable
	version.

2004-12-23  Sivaiah Nallaagatla <snallagatla@novell.com>
                                                                                                                             
        * e-shell.c (e_shell_go_offline)
        (e_shell_go_online) : set start_offline gconf key
        when ever offline state is changed. 

2004-12-21  JP Rosevear  <jpr@novell.com>

	* e-corba-config-page.c: Convert to G_DEFINE_TYPE

	* e-history.c: ditto

	* e-shell-folder-title-bar.c: ditto

	* e-shell-offline-handler.c: ditto

	* e-shell-settings-dialog.c: ditto

	* e-shell-window.c: ditto

	* e-sidebar.c: ditto

	* e-user-creatable-items-handler.c: ditto
	
	* e-component-registry.c: ditto

	* importer/evolution-importer-client.c: ditto

2004-12-09  Rodney Dawes  <dobey@novell.com>

	* e-shell-window-commands.c: Use stock_new-window for the New Window
	menu item in the File menu

2004-12-08  David Mosberger <davidm@napali.hpl.hp.com>

	* main.c: include es-event.h to fix 64 bit platform problems.

2004-11-22  Joan Sanfeliu  <joan@fibranet.com>

	* main.c: Evolution product name spelled with an uppercase E

	Fixes #61605

2004-11-02  mengjie yu  <meng-jie.yu@sun.com>

	* evolution-startup-wizard.glade:remove the hard line breaks.

2004-10-25  Not Zed  <NotZed@Ximian.com>

	* main.c (main): register event hook.

	* e-shell.c (offline_procedure_finished_cb, e_shell_go_online):
	emit new state changed event.

	* main.c (main): register the menu hook.
	(): only define DEVELOPMENT if not already.

	* e-shell-window.c (init): setup menu manager.
	(e_shell_window_new): activate menu manager.
	(update_offline_toggle_status): update the menu manager when the
	offline state changes (currently only state which requires it)

	* es-menu.[ch]: Shell plugin menu manager.

2004-10-07  Not Zed  <NotZed@Ximian.com>

	* main.c (main): initialise plugin system.
	(main): add --disable-eplugin and --disable-mono arguments.

2004-09-30  Kjartan Maraas  <kmaraas@gnome.org>

	* e-shell-importer.c: (import_cb): use g_timeout_add().
	* importer/intelligent.c: (select_row_cb), (unselect_row_cb),
	(create_gui): use gtk_notebook_set_current_page() instead of
	deprecated gtk_notebook_set_page()

2004-09-24  Not Zed  <NotZed@Ximian.com>

	* e-shell-window-commands.c: Added ed catmur to the credits.

2004-09-27  Andre Klapper  <a9016009@gmx.de>

	* e-shell-window-commands.c (about_box_new): fixed two
	typos in the list of contributors

2004-09-21  JP Rosevear  <jpr@novell.com>

	From Malcolm Tredinnick <malcolm@commsecure.com.au>, Fixes #66261
	
	* e-shell-window-commands.c (about_box_new): don't show
	"translator-credits" if not translated

2004-09-07  JP Rosevear  <jpr@novell.com>

	Fixes #17338
	
	* e-shell-window-commands.c (about_box_new): use per language
	translator credits, update authors lists (not strictly authors,
	but we have a lot of helpful people)

2004-09-13  Sivaiah Nallagatla <snallagatla@novell.com>

	* e-shell.c (offline_procedure_finished_cb)
	(e_shell_go_online) : set online status 
	for e_passwords 
	see #62856 (work around)
		
2004-09-03  Not Zed  <NotZed@Ximian.com>

	** See bug #61285.

	* e-shell-settings-dialog.c (load_pages): use a better query to
	get the configuration pages, the old one didn't include version
	information properly.

2004-08-27  Not Zed  <NotZed@Ximian.com>

	** See bug #62856 (workaround only)

	* e-shell.c (impl_Shell_setLineStatus, e_shell_construct): set the
	online state on e_passwords.

2004-08-26  Rodney Dawes  <dobey@novell.com>

	* apps_evolution_shell.schemas.in.in: Don't translate the default
	value for the window height

2004-08-25  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* e-shell-startup-wizard.c: (prepare_importer_page):
	don't call gtk_dialog_set_has_separator
	on Message Dialog on GTK+ >= 2.4.0 (output warning)

	* e-shell-importer.c: (e_shell_importer_start_import):
	Initialize data->finish before using it
	(prepare_intelligent_page): don't call gtk_dialog_set_has_separator
	on Message Dialog on GTK+ >= 2.4.0 (output warning)
	(start_import) (next_file_page): convert filename from UTF-8 to
	local encoding.

2004-08-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* e-shell-importer.c: added the "use_filechooser" property to the
	GnomeFileEntry

2004-08-10  Not Zed  <NotZed@Ximian.com>

	* main.c (main): init epasswords.

2004-08-01  Not Zed  <NotZed@Ximian.com>
 
 	* apps_evolution_shell.schemas.in.in: added last_version item.
 
 	* shell-errors.xml: added upgrade-remove-1-4 and
 	upgrade-remove-1-4-confirm dialogues.
 
 	* e-shell.c (remove_dir): utility to recursively delete a tree of
	files and folders.
 	(e_shell_attempt_upgrade): keep track of the last upgraded
 	version, if != current version, and < 1.5, and it exists, offer to
 	remove ~/evolution.  Confirm the offer before actually doing it.
 
 	* e-shell-window-commands.c: include gnome-about.
 	(command_help_faq): fix comment structure
 
 	* e-shell.c (attempt_upgrade): moved most of this into
 	e_shell_attempt_upgrade.
 	(e_shell_attempt_upgrade): moved most of this into
	attempt_upgrade, removed rev args.  It makes sense, really!
 	(e_shell_construct): call e_shell_attempt_upgrade instead.

2004-07-22  Not Zed  <NotZed@Ximian.com>

	* e-shell.c (create_window): merged this into
	e_shell_create_window, all it was doing was adding a stack frame.
	(e_shell_create_window): setup the e error default window.

2004-07-22  Jeffrey Stedfast  <fejj@novell.com>

	* e-shell-importer.c (e_shell_importer_start_import): Use
	stock_mail-import instead of stock_import? *shrug* Fixes bug
	#61778.

2004-07-08  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* Makefile.am:
	tarball should ship .schemas.in.in files, not generated files.

	* apps_evolution_shell.schemas.in.in:
	Don't translate default component id (bug #60859)

2004-07-06  Rodney Dawes  <dobey@novell.com>

	* e-shell-errors.xml.h: Add this back to CVS for translators
	* .cvsignore: Don't ignore e-shell-errors.xml.h

2004-09-07  Not Zed  <NotZed@Ximian.com>

	* e-shell.c (e_shell_construct): disable the startup wizard.

2004-06-24  Not Zed  <NotZed@Ximian.com>

	** See bug #57367.

	* e-shell-window.c (e_shell_window_new): fix gconf client leak and
	clean up some logic.
	
	* e-shell.c (e_shell_construct): dont activate the components
	individually, component registry does that implictly.

	* e-component-registry.c (init): dont call query_components here.
	(query_components): setup a run-once guard.  before adding a
	component info to the list, make sure we can activate it.
	(component_info_new): take the interface as a construct argument
	now.
	(e_component_registry_peek_list): perform the component list query
	if we haven't already.
	(e_component_registry_peek_info): same.
	(e_component_registry_activate): just always return
	the reffed component, it isn't added unless it was already activated.

2004-06-21  Chris Toshok  <toshok@ximian.com>

	* e-user-creatable-items-handler.c (impl_finalize): free
	priv->menu_xml.  plugs (big) leak.

2004-06-18  Jeffrey Stedfast  <fejj@novell.com>

	* main.c (main): Remove AUTOHELP option since GNOME adds this
	itself. Fixes bug #60374.
	(main): Before exiting from main(), call shutdown() routines.

2004-06-18  Radek Doulik  <rodo@ximian.com>

	* main.c (main): test for skip_warning_dialog value in gconf here
	and not in show_development_warning, otherwise we don't add or
	call idle_cb and evo will not run
	(show_development_warning): do not read skip_warning_dialog here

2004-06-18  Not Zed  <NotZed@Ximian.com>

	** See bug #54498.

	* main.c (idle_cb): don't do dev warning stuff here anymore.

	* main.c (main): show the dev warning before doing anything else
	if we are going to.
	(warning_dialog_response_callback): kick off the actual
	application once we're finished.
	(window_map_callback, new_window_created_callback): removed, not
	needed anymore.

2004-06-17  Jeffrey Stedfast  <fejj@ximian.com>

	* main.c (main): Call gnome_sound_init() before bonobo_main().

2004-06-09  Dan Winship  <danw@novell.com>

	* check-empty.xpm, check-filled.xpm, check-missing.xpm:
	* e-shell-config-autocompletion.[ch]:
	* e-shell-config-default-folders.[ch]:
	* e-shell-config-folder-settings.[ch]:
	* e-shell-config-offline.[ch]:
	* e-shell-config.[ch]:
	* e-shell-folder-creation-dialog.[ch]:
	* e-shell-shared-folder-picker-dialog.[ch]:
	* e-storage-set-store.[ch]:
	* e-storage-set-view-checkboxes.etstate:
	* e-storage-set-view-no-checkboxes.etstate:
	* e-storage-set-view.etspec:
	* e-uri-schema-registry.[ch]:
	* evolution-activity-client.c:
	* evolution-storage-set-view-factory.[ch]:
	* evolution-storage-set-view.[ch]:
	* glade/e-folder-list.glade:
	* glade/e-shell-config-default-folders.glade:
	* glade/e-shell-folder-creation-dialog.glade:
	* glade/e-shell-shared-folder-picker-dialog.glade: Remove
	no-longer-used stuff

	* README: Remove this, since it's more confusing than true now.

	* Evolution-Offline.idl, Evolution-common.idl: Remove
	GNOME_Evolution_Folder, and references to it.

	* e-active-connection-dialog.glade:
	* evolution-startup-wizard.glade: Move the last two remaining
	files from ./glade/ up to here.
	
	* glade/*: Gone.

	* Makefile.am, .cvsignore: update for the above

2004-06-06  Jeffrey Stedfast  <fejj@ximian.com>

	* e-shell-window-commands.c: Added Martyn Russel to the credits.

2004-06-04  JP Rosevear  <jpr@novell.com>

	Fixes #59361
	
	* e-sidebar.c (layout_buttons): handle 0 and 1 buttons properly

2004-06-01  William Jon McCann  <mccann@jhu.edu>

	* e-shell-window-commands.c (e_shell_window_commands_setup):
	Add listener for the ViewToolbar command.
	(view_toolbar_item_toggled_handler):
	New function to handle toggling toolbar visibility and saving state.
	
	* e-shell-window.c (e_shell_window_save_defaults): 
	Save the status of the toolbar visibility.
	(setup_widgets): Set initial state of toolbar visibility.

	* apps_evolution_shell.schemas.in.in: Added schema for toolbar_visible.

2004-06-01  Christophe Fergeau  <teuf@gnome.org>
 	
 	* e-shell-importer.c: sort the various available importer plugins by
  	name in the importer druid combo box so that the list doesn't change
  	from one evolution run to another. 
	
2004-05-27  Not Zed  <NotZed@Ximian.com>

	** See #58827.

	* e-shell-window.c (switch_view): api change
	
	* e-shell.c (impl_Shell_handleURI): Fixed for api change.
	(impl_Shell_handleURI): check the component alias for an alternate
	uri schema path.  'quick hack' for activating components from
	command line.  This may, or may not, continue to function.

	* e-component-registry.c (e_component_registry_peek_info): added
	an id for search type.
	(e_component_registry_peek_info_for_uri_schema): ^ makes this
	redundant, removed.
	(e_component_registry_activate): fixed for api change.

2004-05-28  Rodney Dawes  <dobey@novell.com>

	* e-shell-importer.c (e_shell_importer_start_import):
	Set the default window size for the druid to 480x320

2004-05-28  JP Rosevear  <jpr@novell.com>

	* e-shell-window-commands.c: remove bogus include

2004-05-28  William Jon McCann  <mccann@jhu.edu>

       * Makefile.am (evolution_SOURCES): Remove e-shell-about-box.

       * e-shell-window-commands.c (command_about_box, about_box_new):
       Use GNOME about box.

2004-05-27  Rodney Dawes  <dobey@novell.com>

	* Makefile.am (EXTRA_DIST): Add $(error_i18n) for "make dist"

2004-05-27  Rodney Dawes  <dobey@novell.com>

	* Makefile.am (EXTRA_DIST): Don't dist $(error_i18n) as it requires
	e-error-tool to be built

	* shell-errors.xml.(h|in): Remove these from CVS, the .in is not used
	any more, and the .h is generated from the .xml

2004-05-26  Sarfraaz Ahmed <asarfraaz@novell.com>

	* e-shell.c (set_interactive): Implemented. Sends the "interactive"
	message when the first window is created to all the components.

2004-05-26  Not Zed  <NotZed@Ximian.com>

	* importer/evolution-importer.c
	(impl_GNOME_Evolution_Importer_createControl): set exception if not
	implemented.

	* e-shell-importer.c (importer_file_page_new): set the entry to
	activate default, and fixed the _Filename and _Forward shortcut
	clash.  #58081.
	(prepare_dest_page): pack the widget without expand/fill.

2004-05-21  Jeffrey Stedfast  <fejj@novell.com>

	* evolution-shell-component-utils.c (e_activation_failure_dialog):
	Removed. Nothing uses this interface (which didn't use the EError
	routines anyway).

2004-05-21  Not Zed  <NotZed@Ximian.com>

	* e-shell.c (e_shell_attempt_upgrade): remove unused.

2004-05-19  Not Zed  <NotZed@Ximian.com>

	* e-shell-window.c (setup_widgets): use the menu icon not the
	button icon for the menus.
	(setup_widgets): fixed some i18n stuff with the menu xml.  no use
	putting _x stuff here, it also needs a source.  And a memleak.
	Yucko.

	* e-component-registry.c (component_info_new): take menu icon.
	(query_components): setup the menu icon, not a large toolbar sized
	icon.

	* e-shell-window.c (menu_component_selected): just use '-' as
	ascii, its always going to be hte same in utf8.  simplifies the
	code somewhat.

2004-05-05  William Jon McCann  <mccann@jhu.edu>

	* e-shell-window.c (menu_component_selected, setup_widgets):
	Add components to View menu.

	* e-component-registry.[ch] (component_info_new) 
	(component_info_free, query_components): Add menu_label and
	menu_accelerator fields.

2004-05-18  Not Zed  <NotZed@Ximian.com>

	* shell-errors.xml: added noshell and noshell-reason error
	strings.  the latter seems a waste, but ...

	* main.c (idle_cb): use e_error for the new no shell errors.

2004-05-17  Jeffrey Stedfast  <fejj@novell.com>

	* e-shell-window-commands.c: Change E_PIXMAP() sizes over to
	E_ICON_SIZE enum values.

	* main.c: #include <gtk/gtkvbox.h>

	* e-shell-startup-wizard.c (make_importer_page): Use
	E_ICON_SIZE_DIALOG

2004-05-12  Jeffrey Stedfast  <fejj@novell.com>

	* main.c (main): Call e_icon_factory_shutdown() after
	bonobo_main() exits.

2004-05-12  Not Zed  <NotZed@Ximian.com>

	* shell-errors.xml: fix the label tag for the upgrade failed box.

	* shell-errors.xml.h: add for translators.

2004-05-11  Not Zed  <NotZed@Ximian.com>

	* shell-errors.xml: Shell errors.

	* e-shell.c (e_shell_attempt_upgrade): handle exceptions better.
	allow the user to keep going or abort.  stop as soon as something
	fails.  Related to #53083.
	(attempt_upgrade): abort and quit if the subcall failed.  it will
	display an appropriate error box.
	(attempt_upgrade): abort if we don't have enough space.  #57290.

	* Evolution-Component.idl (upgradeFromVersion): remove the return
	code, use exceptions to indicate failure.

2004-05-10  Not Zed  <NotZed@Ximian.com>

	* e-shell.c (e_shell_attempt_upgrade): handle the various
	exceptions appropritately.
	(detect_version): this never fails, remove return code.
	(attempt_upgrade): add a check for disk space.  this is only
	rough.  not sure how portable.  If we can't find out we go forward
	anyway.

	* Evolution-Component.idl: Throw some proper exceptions for
	upgradeFromVersion.  UpgradeFailed with detailed error reason, and
	UnsupportedVersion for non-fatal reason.

2004-05-10  David Malcolm  <dmalcolm@redhat.com>

	* e-shell-offline-handler.c (cancel_offline): Fix warning

2004-05-10  JP Rosevear  <jpr@ximian.com>

	* main.c (show_development_warning): set title to just Evolution
	(show_development_warning): ditto for warning
	(idle_cb): ditto for title

	* e-shell-window.c (update_offline_toggle_status): set tooltip to
	just Evolution
	(e_shell_window_new): ditto for window title

	* e-shell-window-commands.c (command_about_box): set title to
	just Evolution

2004-05-05  Dan Winship  <danw@ximian.com>

	* e-sidebar.c (layout_buttons): Change the algorithm so that if
	the buttons can't be laid out perfectly rectangularly, then the
	extra space is given to the first button (ie, Mail), rather than
	the last button (eg, Connector). Also, merge the icons-only and
	icons-plus-text layout code together since they were nearly
	identical.
	(e_sidebar_add_button, e_sidebar_set_mode): Tweak things a bit so
	that in icons-only mode, the icons are centered in the buttons.

2004-05-03  Dan Winship  <danw@ximian.com>

	* e-shell-importer.c (e_shell_importer_start_import): Fix warnings

2004-04-30  Dan Winship  <danw@ximian.com>

	* apps_evolution_shell.schemas.in.in: Remove default folders,
	shortcut stuff, and "show folder bar".

	* e-config-upgrade.c: Don't migrate those options either

2004-04-30  Dan Winship  <danw@ximian.com>

	* e-shell-window-commands.c (command_quit): Don't save window
	state here.

	* e-shell.c (e_shell_quit): Do it here, so it gets called if you
	quit by closing the last window via its close button too. #57529

2004-04-30  Not Zed  <NotZed@Ximian.com>

	* e-component-registry.c:
	* e-shell-settings-dialog.c: 
	* e-shell-window.c:  Remove e-lang-utils.h include.

	* e-component-registry.c (query_components): do the same as below.

	* e-shell-settings-dialog.c (load_pages): use
	gnome_i18n_get_language_list instead of e_get_language_list(), and
	use the right locale option.  Fixes #53398.

2004-04-28  Rodney Dawes  <dobey@ximian.com>

	* main.c (main): Call gnome_program_init with PACKAGE "-" BASE_VERSION
	so that we start up the right version of evolution when we get killed
	by logout or whatever

	Fixes #54087

2004-04-27  JP Rosevear  <jpr@ximian.com>

	* e-shell-window.c (sidebar_button_selected_callback): init the
	view to NULL

2004-04-27  William Jon McCann  <mccann@jhu.edu>

	* e-shell-window.c (switch_view): set window title and icon when changing
	component view.

2004-04-23  JP Rosevear <jpr@ximian.com>

	* e-shell-window.c (e_shell_window_show_settings): if there is a
	current view, use the component alias to select a sensible default
	config control

2004-04-22  Trent Lloyd  <lathiat@bur.st>

	* e-sidebar.c (do_layout_text_buttons): take into account the position
	of the sidebar which isnt on the very left in right to left languages,
	otherwise the buttons are drawn in the wrong place.

2004-04-21  Not Zed  <NotZed@Ximian.com>

	* e-user-creatable-items-handler.c (execute_verb): if we're
	running a local create, invoke that directly via the callback.
	(e_user_creatable_items_handler_new): add a callback for creating
	local items.

2004-04-19  Jeffrey Stedfast  <fejj@ximian.com>

	* e-user-creatable-items-handler.c (ensure_menu_items): Same.

	* e-shell-startup-wizard.c (make_timezone_page): Same.

	* e-shell-settings-dialog.c (load_pages): Same.

	* e-shell-importer.c (e_shell_importer_start_import): Same.

	* e-component-registry.c (query_components): Don't use absolute
	pixel sizes, use the E_ICON_SIZE enums instead.

2004-04-19  Michael Terry  <mike@mterry.name>

	* GNOME_Evolution_Test.server.in.in: Change component icons to use the
	icon theme names for icons
	* Makefile.am: Remove e-icon-factory.[ch]
	* e-component-registry.c: Use the icon theme for component icons
	* e-icon-factory.[ch]: Removed these files
	* e-shell-importer.c:
	* e-shell-settings-dialog.c:
	* e-shell-startup-wizard.c:
	* e-shell-window-commands.c:
	* e-user-creatable-items-handler.c:
	* evolution-shell-component-utils.[ch]:
	* main.c:
	* glade/evolution-startup-wizard.glade:
	* importer/import.glade: Use the icon theme via EIconFactory for all
	of the icons in the shell, and the window icons

2004-04-14  JP Rosevear <jpr@ximian.com>

	* e-shell-importer.c (get_iid_for_filetype): differentiate between
	user cancellation and no importer
	(next_file_page): don't throw up a dialog if the user cancelled
	the selection process

2004-04-14  JP Rosevear <jpr@ximian.com>

	* e-shell-importer.c (start_import): don't unref the dialog,
	destroy it properly

2004-04-13  Not Zed  <NotZed@Ximian.com>

	* e-user-creatable-items-handler.c (create_verb): add a component
	name argument, so we don't use 'this_component', and everything
	comes from tasks!  Fix callers to pass the component alias.
	(struct _EUserCreatableItemsHandlerPrivate): change
	default_menu_item to be fallback_menu_item for the mail message
	new fallback.  Make default_menu_item be the default for the view
	(which some code seems to think it should be).  Fixes #56866.
	(ensure_menu_items): setup the fallback_menu_item here.
	(get_default_action_for_view): use the fallback as the fallback,
	not default.
	(setup_toolbar_button): set the default menu item here for the
	current view.

2004-04-09  Jeffrey Stedfast  <fejj@ximian.com>

	* e-shell.c (e_shell_attempt_upgrade): Don't activate the
	components here.
	(e_shell_construct): Activate them all here instead (before we
	attempt to upgrade). Fixes a bug where the shell would start up in
	online mode but never notify the components to go online.

	* main.c (idle_cb): s/Cannot access/Cannot register/

2004-04-09  Chris Toshok  <toshok@ximian.com>

	* e-shell.c (e_shell_attempt_upgrade): make sure the component is
	activated before calling upgradeFromVersion.

2004-04-09  Chris Toshok  <toshok@ximian.com>

	* e-shell.c (e_shell_attempt_upgrade): use BASE_VERSION to supply
	the major/minor version, and use UPGRADE_REVISION for the
	revision.
	(attempt_upgrade): store the key based on BASE_VERSION and
	UPGRADE_REVISION.

2004-04-09  Dan Winship  <danw@ximian.com>

	* e-user-creatable-items-handler.c: Change this a lot. Now each
	component will maintain its own EUserCreatableItemsHandler and
	merge the button and menus in and out of the UI as its controls
	are activated and deactivated. (This lets the connector component
	display the correct default for the New button). Also, update to
	the Product Design Team's new organization (separating object
	types from folder types)

	* e-shell.c: Remove all creatable_items_handler references
	(impl_dispose): unref the component registry (unrelated bug)
	
	* e-shell-window.c (e_shell_window_new): Remove
	creatable_items_handler reference

	* Makefile.am: Move e-user-creatable-items-handler from evolution
	to libeshell, and make libeshell depend on libemiscwidgets (for
	the combo button)

	* Evolution-Component.idl: add another field to CreatableItemType
	so we can distinguish object types from folder types.

2004-04-07  Jeffrey Stedfast  <fejj@ximian.com>

	* Evolution-ConfigControl.idl: Removed the "apply" method.

	* e-corba-config-page.c: We can probably remove this entire file,
	it seems pretty useless. But until I know for sure, I guess I
	won't bother.
	(impl_apply): Removed, no longer a valid interface.
	(listener_event_callback): Huh? calls a non-existant function if
	the event name was "changed". Uhm, yea...ok. Removed.
	(setup_listener): Removed. Did nothing but to setup the above
	listener.

	* evolution-config-control.c: No longer needs to keep 'changed'
	state.
	(evolution_config_control_changed): Removed.
	(impl_apply): Removed. No lonegr a valid interface.

2004-03-31  Rodney Dawes  <dobey@ximian.com>

	* e-shell-importer.c (choose_importer_from_list):
	(start_import):
	(prepare_intelligent_page): Remove dialog separators
	* e-shell-offline-handler.c (pop_up_confirmation_dialog): Change the
	border with of the dialog's vbox and action area to be HIG-compliant
	* e-shell-settings-dialog.c (init): Remove the dialog separator
	* e-shell-startup-wizard.c (prepare_importer_page): Remove the dialog
	separator to be more HIG-compliant
	(key_press_event_callback): Fix compile warnings and cast to the
	correct widget types for calling various gtk api
	Remove the dialog separator to be more HIG-compliant
	* main.c (show_development_warning): Make the devel warning dialog
	that pops up for unstable versions be HIG-compliant
	* glade/e-active-connection-dialog.glade: Make the active connection
	dialog for going off-line be HIG-compliant
	* importer/intelligent.c (create_gui): Remove the dialog separator
	and set the dialog's vbox and action area border widths to be more
	compliant with the HIG

2004-03-26  Rodney Dawes  <dobey@ximian.com>

	* e-shell-settings-dialog.c (impl_realize): We don't need this really
	(class_init): We don't need to have our own realize impl for setting
	the default window size of the dialog, especially since we are setting
	the size before we actually get realized, anyway
	(init): Set the dialog size here, and don't set the border width of the
	dialog

2004-03-18  Not Zed  <NotZed@Ximian.com>

	* e-shell-about-box.c: added (c) symbol and 2004 and changed to
	Novell to the copyright notice in the about box.

2004-03-12  Not Zed  <NotZed@Ximian.com>

	* e-shell.c (detect_version): when we check the evolution dir
	exists, check the evolution dir exists, not the config.xmldb file.
	Move filename building/usage into the else condition so it can't
	happen again.  Fixes #53277.

2004-03-10  Bill Zhu  <bill.zhu@sun.com>
	
	* e-shell-startup-wizzard.c (key_press_event_callback): Used the stock
	icon in confirm dialog.

	Fixes #55063
	
2004-03-06  Pratik V. Parikh <pratikvp@despammed.com>

	* e-shell-window-commands.c (command_quick_reference): Check that 
	app is not NULL before trying to open the quickref document.

	Fixes #55106

2004-02-15  Rodney Dawes  <dobey@ximian.com>

	* evolution-nognome.in: Use @BASE_VERSION@ for the binary

	Fixes #54796

2004-02-18  Not Zed  <NotZed@Ximian.com>

	* e-shell-offline-handler.c (prepare_for_offline): remove id, and
	use info->id for create_progress_listener.  Fixes #53649.

2004-02-10  JP Rosevear <jpr@ximian.com>

	* Remove dead files

2004-02-06  JP Rosevear <jpr@ximian.com>

	* importer/intelligent.c (get_intelligent_importers): use base
	version for intelligent importers

	* e-shell-importer.c (get_intelligent_importers): ditto
	
	Fixes #54004	
	
2004-02-06  Rodney Dawes  <dobey@ximian.com>

	* e-shell-window-commands.c (command_quick_reference): Really make
	this work with gnome-vfs 2.2, instead of using gnome-vfs 2.4 api,
	fixes #53566 more completely so snapshots can build again (doh)

2004-02-06  JP Rosevear <jpr@ximian.com>

	* importer/import.glade: remove step numbers

2004-02-05  Rodney Dawes  <dobey@ximian.com>

	* e-shell-window-commands.c (command_quick_reference): Use gnome-vfs
	directly, instead of relying on gnome_url_show (), to launch the
	application for the quick reference, since we can run on gnome 2.2
	mostly, and gnome_url_show () only handles the uri method there

	Fixes #53566

2004-02-04  JP Rosevear <jpr@ximian.com>

	* e-shell-importer.c (start_import): pass in a parent for the
	dialogs, use e_notice
	(import_druid_finish): we carry the filename around with us now
	(next_file_page): check the file here and store the name; put up
	gui dialogs
	(e_shell_importer_start_import): set the druid as a transient for
	the shell

2004-02-04  JP Rosevear <jpr@ximian.com>

	* importer/import.glade: add extra page

	* importer/evolution-importer.h: update protos

	* importer/evolution-importer.c: hold the createControl function
	(impl_GNOME_Evolution_Importer_createControl): implement
	(impl_GNOME_Evolution_Importer_loadFile): remove dead args

	* importer/evolution-importer-client.h: update/add protos

	* importer/evolution-importer-client.c
	(evolution_importer_client_create_control): wrapper
	(evolution_importer_client_load_file): we don't take physical_uri
	and folder_type as args any more

	* importer/GNOME_Evolution_Importer.idl: add createControl method
	and remove extraneous loadFile args

	* e-shell-window-commands.c (command_import): uncomment

	* e-shell-importer.h: update proto

	* e-shell-importer.c: remove DEPRECATED hack and tidy includes
	(get_iid_for_filetype): use query define
	(start_import): we don't take a file name and client directly now
	(create_plugin_menu): user query define
	(importer_dest_page_new): create vbox
	(import_druid_finish): we no longer do folder selection here
	(next_file_page): create the client here
	(prepare_dest_page): show the importer control
	(next_dest_page): skip to the finish
	(back_finish_page): back to the destination page
	(e_shell_importer_start_import): set up the destination page

	* Makefile.am: build import files again

2004-02-04  JP Rosevear <jpr@ximian.com>

	* e-shell-view-menu[hc]: remove dead files

2004-02-04  JP Rosevear <jpr@ximian.com>

	* e-shell.c (e_shell_quit): make this C89 compliant

2004-02-04  Not Zed  <NotZed@Ximian.com>

	** See bug #53683.

	* Evolution-Component.idl: added EvolutionComponent::quit() call.

	* main.c (quit_box_new): removed, dont show quit box anymore at
	the end, we've already shutdown by now with the new shutdown
	sequence.
	
	* e-shell-window-commands.c (command_quit): call e_shell_quit to
	quit.

	* e-shell.c (e_shell_prepare_for_quit): renamed es_run_quit, now
	internal, and a gtktimeout function, so return code inverted.
	(e_shell_quit): new public entry, find out if we can shutdown, if
	so, then trigger a shutdown.
	(e_shell_request_close_window): just call e_shell_quit to exit
	when we've run out of windows.
	(e_shell_quit): desensitise all of the app windows before running
	shutdown.  looks a bit weird, but not doing so looks worse.

2004-02-03  Dan Winship  <danw@ximian.com>

	* e-activity-handler.c: 
	* e-activity-handler.h: 
	* e-task-bar.c: 
	* e-task-bar.h: 
	* e-task-widget.c: 
	* e-task-widget.h: Moved to misc/widgets since they depend on
	libemiscwidgets now, and aren't actually used by the shell itself.

	* Makefile.am (eshell_HEADERS, libeshell_la_SOURCES): Update

2004-02-02  Chris Toshok  <toshok@ximian.com>

	* e-component-registry.c (component_info_new): don't generate a
	g_warning if button_icon == NULL.
	(component_info_free): unref the button_icon if it's != NULL.

2004-01-29  JP Rosevear <jpr@ximian.com>

	* main.c: turn development stuff back on

2004-01-28  JP Rosevear <jpr@ximian.com>

	* main.c (kill_dataserver): g_message this
	(destroy_config): remove the various pieces to create a cleanish
	state for re-migrating from 1.4.x
	(main): add --force-migrate option when in development mode

2004-01-28  Rodney Dawes  <dobey@ximian.com>

	* e-task-bar.c (init): First argument to gtk_hbox_new () is a boolean,
	not an int, don't show the hbox for activities by default
	(e_task_bar_prepend_task): Show the hbox for activities when we add
	tasks to the taskbar
	(e_task_bar_remove_task): If we have no tasks left to display, don't
	show the empty hbox

2004-01-27  Rodney Dawes  <dobey@ximian.com>

	* e-task-bar.c (init): Expand the label, this fixes the problem
	that people were having in the shell window with the preview pane
	and the weird warning from ECLippedLabel for urls

	Fixes #52937 for good

2004-01-26  David Trowbridge <trowbrds@cs.colorado.edu>
 
 	* Makefile.am: add definition for EVOLUTION_HELPDIR
 
 	* e-shell-window-commands.c: add handling for new "Quick
	Reference" menu
	
2004-01-26  Not Zed  <NotZed@Ximian.com>

	* e-shell.c (attempt_upgrade, detect_version, e_shell_construct):
	attempt the upgrade before trying to startup the wizard.

	* main.c (detect_version, attempt_upgrade): move to e-shell.c
	(idle_cb): remove call to attempt_upgrade.

2004-01-26  Rodney Dawes  <dobey@ximian.com>

	* e-shell-window.c (setup_widgets): Add panded widget to
	EShellWindowPrivate and handle state saving of position (#52049)
	* e-task-bar.c (init): Switch to EClippedLabel instead of GtkLabel
	for the status bar text (#52937)

	Fixes #52049 and #52937

2004-01-26  JP Rosevear <jpr@ximian.com>

	* e-shell.c (e_shell_construct): there is no splash screen any
	more

2004-01-26  JP Rosevear <jpr@ximian.com>

	* main.c: drop now useless gtkhtml/gconf check

2004-01-23  Rodney Dawes  <dobey@ximian.com>

	* main.c (idle_cb): Move uri_list loop into a separate function
	so we don't duplicate code in both instances where we are creating
	a new shell or using a current one, and don't open a new shell window
	if we are passing in a uri and a shell is already up

	Fixes #53216

2004-01-15  JP Rosevear <jpr@ximian.com>

	* e-config-upgrade.c: remove calendar and task keys for upgrade,
	its done in the calendar now

2004-01-15  Rodrigo Moya <rodrigo@ximian.com>

	* e-shell-view-menu.c: added ForgetPasswords menu item.
	(command_forget_passwords): callback for the new menu item.

	* e-shell-window-commands.c: (command_forget_passwords): ditto.

2004-01-15  JP Rosevear <jpr@ximian.com>

	* main.c (kill_dataserver): kill the correct binary, tidy includes

2004-01-15  JP Rosevear <jpr@ximian.com>

	* main.c (detect_version): move version detection here

	* e-config-upgrade.c: remove it from here; clean out all the
	mailer and bonobo conf conversion stuff, its been moved to the
	mailer and e-util

	* e-config-upgrade.h: remove proto

2004-01-15  Not Zed  <NotZed@Ximian.com>

	* e-config-upgrade.c (e_upgrade_detect_version): fix the check for
	~/evolution being a directory.

2004-01-13  JP Rosevear <jpr@ximian.com>

	* main.c (attempt_upgrade): detect the version more completely
	with the new util routine
	(main): don't upgrade the config db here

	* e-shell.h: update proto

	* e-shell.c (e_shell_attempt_upgrade): take the current version as
	numerical params

	* e-config-upgrade.h: update prototypes

	* e-config-upgrade.c (e_config_upgrade): remove version detection
	and saving code
	(e_upgrade_detect_version): routine to do the version detection

	* e-config-upgrade.c: drop my-evolution upgrade code

2004-01-12  JP Rosevear <jpr@ximian.com>

	* Makefile.am: use our libs

2004-01-12  JP Rosevear <jpr@ximian.com>

	* evolution-test-component.[hc]: Complete rewrite to match current
	component api

	* Makefile.am: conditionally build the test component
	
2004-01-11  JP Rosevear <jpr@ximian.com>

	* e-sidebar.c (button_new): track hbox and label widget
	(button_free): unref them
	(do_layout_text_buttons): layout buttons with text
	(do_layout_icon_buttons): layout icon only buttons
	(do_layout): layout based on mode
	(impl_size_request): distinguish between horizontal and vertical
	padding
	(init): set a default mode
	(e_sidebar_add_button): align the button text to the left, only
	add the text if we are in the text mode
	(e_sidebar_get_mode): accessor
	(e_sidebar_set_mode): accessor

	* e-sidebar.h: add prototype and mode enum

2004-01-11  JP Rosevear <jpr@ximian.com>

	* GNOME_Evolution_Test.server.in.in: proper server file for test
	components

	* Makefile.am: allow the test component to be built and installed

	* evolution-test-component.[hc]: new test component to match
	current api

2004-01-08  JP Rosevear <jpr@ximian.com>

	* e-shell.c (e_shell_attempt_upgrade): make sure we actually
	upgrade between revisions

2004-01-08  JP Rosevear <jpr@ximian.com>

	* e-shell-startup-wizard.c (get_intelligent_importers): add a ')'
	to create a valid query

2004-01-08  Not Zed  <NotZed@Ximian.com>

	* e-shell-startup-wizard.c (get_intelligent_importers): check that
	we found any importers before deferencing the pointer.

2004-01-05  ERDI Gergo  <cactus@cactus.rulez.org>

	* e-task-bar.c (init): Create a separate label to the left of the
	progress messages...
	(e_task_bar_message): ...and allow components to set it...

	* e-activity-handler.c (e_activity_handler_message): ...through
	this new ActivityHandler method

2003-12-30  JP Rosevear <jpr@ximian.com>

	* e-setup.[hc]: these just handle creating the ~/evolution dir and
	so are no longer needed

	* main.c (main): don't setup the old ~/evolution dir
	
	* Makefile.am: don't build dead files

	* e-shell.c (e_shell_go_online): get the id from the component
	info

2003-12-22  Ross Burton  <ross@burtonini.com>

	* e-shell.c: mark the settings dialog as transient for the main window.

2003-12-14  JP Rosevear <jpr@ximian.com>

	* e-user-creatable-items-handler.c (get_components_from_registry):
	only add the component to the list if we actually create it

	Fixes #51707
	
2003-12-11  Not Zed  <NotZed@Ximian.com>

	* e-sidebar.c (do_layout): remove padding around the folder list.
	(impl_size_request): don't add padding around folder list.

2003-12-09  Ettore Perazzoli  <ettore@ximian.com>

	[#51710]

	* GNOME_Evolution_Shell.server.in.in: Remove
	GNOME_Evolution_Shell_Config_FolderSettings_Control.

2003-12-06  JP Rosevear <jpr@ximian.com>

	* e-shell-importer.c: remove useless gal include

	* Makefile.am: Remove hard coded disable deprecated flags

2003-12-04  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_prepare_for_quit): Implement.

	* Evolution-Component.idl (Component::requestQuit): Make sync
	[i.e. just return a boolean instead of using a BonoboListener].

2003-12-03  Ettore Perazzoli  <ettore@ximian.com>

	[Fix for #51619.]

	* e-shell.c (impl_Shell_createNewWindow): If component_id is the
	empty string, pass NULL for it to e_shell_create_window() so we
	get the default.

	* main.c (idle_cb): Pass an empty string for component_id to
	createNewWindow() if the default_component_id is NULL.

2003-12-03  Ettore Perazzoli  <ettore@ximian.com>

	* Makefile.am: Move e-task-bar and e-task-widget into libeshell.
	[Fix pointed out by Bernard Leach <leachbj@bouncycastle.org>.]

2003-12-03  Ettore Perazzoli  <ettore@ximian.com>

	* Evolution-Session.idl: Remove.
	* Evolution-Activity.idl: Remove.
	* Evolution-ShellComponent.idl: Remove.
	* Evolution-ShellComponentDnd.idl: Remove.
	* Evolution-ShellView.idl: Remove.
	* Evolution-Shortcuts.idl: Remove.
	* Evolution-Storage.idl: Remove.
	* Evolution-StorageSetView.idl: Remove.

	* evolution-shell-view.c: Remove.
	* evolution-shell-view.h: Remove.

	* evolution-session.c: Remove.
	* evolution-session.h: Remove.

2003-12-03  Ettore Perazzoli  <ettore@ximian.com>

	* e-activity-handler.c: Do not #include
	"e-shell-corba-icon-utils.h".

2003-12-03  Ettore Perazzoli  <ettore@ximian.com>

	* e-folder-list.c: Remove.
	* e-folder-list.h: Remove.

	* e-folder-tree.c: Remove.
	* e-folder-tree.h: Remove.

	* e-folder.c: Remove.
	* e-folder.h: Remove.

	* evolution-shell-component.c: Remove.
	* evolution-shell-component.h: Remove.

	* evolution-shell-client.c: Remove.
	* evolution-shell-client.h: Remove.

	* evolution-folder-selector-button.c: Remove.
	* evolution-folder-selector-button.h: Remove.

	* evolution-activity-client.c: Remove.
	* evolution-activity-client.h: Remove.

	* evolution-storage.c: Remove.
	* evolution-storage.h: Remove.

2003-12-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c (e_shell_window_save_defaults): Implement.
	(e_shell_window_new): Set the width/height from the GConf keys.

2003-12-02  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: Version the schemas
	* apps_evolution_shell.schemas: Removed
	* apps_evolution_shell.schemas.in.in: Added

2003-12-01  Ettore Perazzoli  <ettore@ximian.com>

	* e-activity-handler.c (e_activity_handler_operation_finished):
	Argh, renamed from e_activity_client_operation_finished().
	(e_activity_handler_operation_started): Don't unref the pixbuf.

	* e-shell-window.c (setup_widgets): Hide the menu hint label.

	* e-activity-handler.c (init): Init to next_activity_id to 1 so
	callers can rely on it being nonzero.

2003-12-01  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (struct _EShellPrivate): Remove member
	activity_handler.
	(setup_activity_interface): Remove.
	(e_shell_init): Don't call.
	(create_window): Don't attach the task bar to the activity
	handler.

	* e-shell-window.c (struct _ComponentView): New member
	statusbar_widget.
	(struct _EShellWindowPrivate): Remove member task_bar.
	(init_view): Get the status bar control from createControls and
	put it in the ComponentView struct.
	(setup_task_bar): New.
	(setup_statusbar_notebook): New.
	(switch_view): Switch the statusbar notebook too.
	(impl_dispose): Add missing GTK_OBJECT() cast.
	(e_shell_window_peek_task_bar): Remove.

	* Evolution-Component.idl (Component::createControls): New out arg
	"statusbar_control"; this way components can provide their own
	status bar.

	* e-activity-handler.c, e-activity-handler.h: Turn into a plain
	GObject; translate all the CORBA methods into plain C methods.

	* Makefile.am: Move e-activity-handler to libeshell instead of it
	being in the shell.

2003-12-01  Rodney Dawes  <dobey@ximian.com>

	* GNOME_Evolution_Shell.server.in.in:
	* e-component-registry.c:
	* e-shell-config.c:
	* e-shell-shared-folder-picker-dialog.c:
	* e-shell-startup-wizard.c:
	* e-shell.h:
	* e-user-creatable-items-handler.c:
	* evolution-activity-client.c:
	* evolution-storage.c: Use BASE_VERSION for repo_ids and OAFIIDs

2003-11-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (struct _EShellPrivate): New member offline_handler.
	(offline_procedure_started_cb): New.
	(offline_procedure_finished_cb): New.
	(e_shell_go_offline): Implement (putting back the code that we had
	#if 0'ed out).
	(e_shell_go_online): Likewise.

	* e-shell-offline-handler.c, e-shell-offline-handler.h: Put back
	in, massage for the changes in the Offline interface.

	* e-shell-offline-sync.c, e-shell-offline-sync.h: Remove from CVS.

	* Evolution-Offline.idl (SyncFolderProgressListener): Remove.
	(Offline::SyncFolder): Remove.

2003-11-23  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: remove gtk deprecated flag

2003-11-20  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (impl_Shell_handleURI): Reimplemented using
	EComponentRegistry.

	* main.c (idle_cb): Create a new window even if we have a URI
	list.

	* e-component-registry.c
	(e_component_registry_peek_info_for_uri_schema): New.

2003-11-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-component-registry.c (component_info_free): Free
	->uri_schemas.
	(set_schemas): New function to get the list of URI schemas given a
	component's ServerInfo.
	(query_components): Call it.

	* e-component-registry.h (struct _EComponentInfo): Add
	"uri_schemas" member.

	* Evolution-Component.idl (Component.handleURI): New method.

2003-11-19  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-activity-client.c
	(evolution_activity_client_construct): Get a raw
	GNOME_Evolution_Shell as an arg instead of an
	EvolutionShellClient.
	(get_shell_activity_iface): New helper function.
	(evolution_activity_client_construct): Use it.

2003-11-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c (impl_dispose): Destroy the tooltips instead of
	unreffing them.

	* e-shell.c (struct _EShellPrivate): New member activity_handler.
	(setup_activity_interface): New.
	(impl_dispose): Add a comment about why we must not unref
	activity_handler here.
	(create_window): Attach the task bar to the new window.

	* e-shell-window.c (e_shell_window_peek_task_bar): New.

	* e-activity-handler.c: Add back.
	* e-activity-handler.h: Add back.

2003-11-19  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c (struct _EShellWindowPrivate): New members
	status_bar, offline_toggle, offline_toggle_image, menu_hint_label,
	task_bar, tooltips.
	(init): Initialize ->tooltips.
	(impl_dispose): Unref ->tooltips.
	(offline_toggle_clicked_callback): New.
	(e_shell_window_new): Connect shell_line_status_changed_callback()
	to the shell's "line_status_changed" signal.
	(shell_line_status_changed_cb): New.
	(setup_offline_toggle): New.
	(setup_menu_hint_label): New.
	(setup_task_bar): New.
	(setup_status_bar): New.
	(setup_widgets): Call setup_status_bar() and add add the status
	bar to the window.
	(update_offline_toggle_status): New.
	(update_send_receive_sensitivity): New.
	(load_icons): New.
	(class_init): Call load_icons().
	(ui_engine_remove_hint_callback): New.

2003-11-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window-commands.c: Add a pixmap for the toolbar
	SendReceive button.

2003-11-17  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (attempt_upgrade): New helper function.
	(idle_cb): Call it if we have a local shell.  Also, remove unused
	variables.

	* e-shell.c (e_shell_attempt_upgrade): New.

	* Evolution-Component.idl (Component.upgradeFromeVersion): New.

2003-11-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window-commands.c (command_open_new_window): New,
	implement "OpenNewWindow" verb.

2003-11-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-setup.c: Do not #include "e-local-folder.h".

	* Makefile.am: Don't build evolution-test-component for now since
	it's all out of date.

	* main.c (evolution_debug_log): Make static instead of extern.

	* e-user-creatable-items-handler.c: #include
	<bonobo/bonobo-control.h>.

	* e-shell.h: Do not include "e-uri-schema-registry.h" or
	"evolution-shell-component-client.h".
	* e-shell.c: Likewise.

	* e-shell.c (struct _EShellPrivate): Removed member
	uri_schema_registry.
	(impl_Shell_handleURI): #if 0 it out for now.
	(e_shell_peek_uri_schema_registry): Disabled for now.

	* e-uri-schema-registry.c: Don't compile for now.

	* e-corba-storage-registry.c: Remove.
	* e-corba-storage-registry.h: Remove.
	* e-corba-storage.c: Remove.
	* e-corba-storage.h: Remove.
	* e-folder-dnd-bridge.c: Remove.
	* e-folder-dnd-bridge.h: Remove.
	* e-folder-selection-dialog.c: Remove.
	* e-folder-selection-dialog.h: Remove.
	* e-folder-type-registry.c: Remove.
	* e-folder-type-registry.h: Remove.
	* e-local-folder.c: Remove.
	* e-local-folder.h: Remove.
	* e-local-storage.c: Remove.
	* e-local-storage.h: Remove.
	* e-shell-folder-selection-dialog.c: Remove.
	* e-shell-folder-selection-dialog.h: Remove.
	* e-shell-view.c: Remove.
	* e-shell-view.h: Remove.
	* e-storage-browser.c: Remove.
	* e-storage-browser.h: Remove.
	* e-storage-set-view.c: Remove.
	* e-storage-set-view.h: Remove.
	* e-storage-set.c: Remove.
	* e-storage-set.h: Remove.
	* e-storage.c: Remove.
	* e-storage.h: Remove.
	* evolution-shell-component-client.c: Remove.
	* evolution-shell-component-client.h: Remove.
	* evolution-shell-component-dnd.c: Remove.
	* evolution-shell-component-dnd.h: Remove.
	* evolution-storage-listener.c: Remove.
	* evolution-storage-listener.h: Remove.
	* evolution-storage-set-view-listener.c: Remove.
	* evolution-storage-set-view-listener.h: Remove.

2003-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* main.c (DEVELOPMENT_WARNING): Define.

2003-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_send_receive): New.

	* Evolution-Component.idl (Component.sendAndReceive): New.

2003-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* e-user-creatable-items-handler.c (ensure_menu_items): Reverse
	the list so we get the items in the same order they were given to
	us [since we are using g_slist_prepend() to build the list].

2003-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* Evolution-Component.idl (GNOME.Evolution.Component.UnknownType):
	New exception.

2003-11-13  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c: New signal "component_changed".
	(class_init): Install.
	(switch_view): Emit.
	(e_shell_window_new): Call
	e_user_creatable_items_handler_attach_menus() to attach the
	"New..."  menus.
	(e_shell_window_peek_current_component_id): New.
	(e_shell_window_peek_shell): Add precondition.
	(e_shell_window_peek_current_component_id): Likewise.
	(e_shell_window_peek_bonobo_ui_component): Likewise.

	* e-user-creatable-items-handler.c: New.
	* e-user-creatable-items-handler.h: New.

	* e-shell-window.h: #include <bonobo/bonobo-ui-component.h>.

	* e-shell.c (struct _EShellPrivate): Add member
	user_creatable_items_handler.
	(e_shell_get_user_creatable_items_handler): Remove.
	(e_shell_peek_user_creatable_items_handler): New.

	* Evolution.idl: Don't #include Evolution-ShellComponent.idl.

	* Evolution-Component.idl (GNOME.Evolution.RequestCreateItem): New
	method.
	(GNOME.Evolution.creatableItems): New attribute.

	* e-shell-user-creatable-items-handler.c: Remove.
	* e-shell-user-creatable-items-handler.h: Remove.

2003-11-12  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c (e_shell_window_switch_to_component): Call
	e_sidebar_select_button() instead of switch_view().

	* e-sidebar.c (update_buttons): New helper function.
	(e_sidebar_select_button): New.

2003-11-11  JP Rosevear <jpr@ximian.com>

	* main.c (kill_dataserver): kill the right thing
	(kill_old_dataserver): rename and check the version correctly

2003-11-10  Ettore Perazzoli  <ettore@ximian.com>

	* main.c: Added a new "-c" command-line arg.
	(idle_cb): If the arg is specified, open the component with that
	id/alias.

	* e-shell.c (impl_Shell_createNewView): New, implementation for
	the Shell::createNewView() CORBA method.
	(e_shell_class_init): Install.
	(e_shell_create_window): Get a component_id arg.

	* e-shell-window.c (e_shell_window_new): Get a component_id arg
	and create the window with that component activated if not NULL.

	* Evolution-Shell.idl (createNewView): Remove.
	(createNewWindow): New.

2003-11-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c (struct _ComponentView): New member
	"component_alias".
	(component_view_new): Get a new "alias" arg, set the member in the
	struct accordingly.
	(component_view_free): Free ->component_alias.
	(setup_widgets): Pass the alias from the ComponentInfo to
	e_component_view().
	(switch_view): New utility function.
	(sidebar_button_selected_callback): Use it.
	(e_shell_window_switch_to_component): New public function.
	(e_shell_window_new): Switch to the component whose id is in the
	/apps/evolution/shell/view_defaults/component_id GConf key.

	* apps_evolution_shell.schemas: Removed view_defaults/folder_path.
	New key view_defaults/component_id.

	* e-component-registry.c (component_info_free): Free ->alias.
	(component_info_new): Get an "alias" arg and set the member
	accordingly.
	(query_components): Remove debugging messages.  Get an
	"evolution:component_alias" property from the component and set
	the alias from that.

	* e-component-registry.h (struct _EComponentInfo): New member
	"alias".

2003-11-07  JP Rosevear <jpr@ximian.com>

	* Makefile.am: don't include top level libical

2003-11-07  JP Rosevear <jpr@ximian.com>

	* Makefile.am: make sure the marshal header is in the sources too

2003-11-07  JP Rosevear <jpr@ximian.com>

	* main.c: use e-d-s idl to check interface version

	* Makefile.am: build e-d-s idl

2003-11-03  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-shared-folder-picker-dialog.c (setup_name_selector):
	Append "_2" to the SelectNames OAFIID.

2003-11-03  Ettore Perazzoli  <ettore@ximian.com>

	* GNOME_Evolution_Shell.server.in.in: Use "evolution2:config_item"
	attributes instead of "evolution:config_item" ones.

	* e-shell-settings-dialog.c (load_pages): Expect
	"evolution2:config_item" properties instead of
	"evolution:config_item" so they do not conflict with 1.4's.

2003-10-29  Dan Winship  <danw@ximian.com>

	* Evolution-Component.idl: declare an exception for createControls
	to return, so we don't have to just crash if it fails.

2003-10-28  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: Add e-shell-view.h to evolution_SOURCES

2003-10-28  Rodney Dawes  <dobey@ximian.com>

	* Makefile.am: Fix automake warning, and add
	e-shell-user-creatable-items-handler.h to evolution_SOURCES

2003-10-23  Chris Toshok  <toshok@ximian.com>

	* e-component-registry.c (query_components): handle the case where
	label == NULL, and set it to _("Unknown").

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-sidebar.c (e_sidebar_add_button): Add a little border to the
	buttons so it looks nicer.

	* e-component-registry.c (query_components): Set an icon from the
	"evolution:button_icon" attribute.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (struct _EShellPrivate): New member
	"component_registry".
	(e_shell_construct): Don't call e_shell_unregister_all().
	(e_shell_unregister_all): Removed.
	(e_shell_init): Use g_new0(), removed a bunch of NULL/FALSE
	assignments.
	(e_shell_init): Initialize the component_registry.
	(e_shell_peek_uri_schema_registry): Rename from
	e_shell_get_uri_schema_registry.
	(e_shell_peek_component_registry): New.
	(setup_components): Remove.
	(e_shell_construct): Don't call.

	* main.c (no_windows_left_cb): Don't call e_shell_unregister_all().

	* e-shell.c (parse_default_uri): Removed.
	(parse_evolution_uri): Removed.
	(e_shell_parse_uri): Removed.

	* e-component-info.c: Remove.
	* e-component-info.h: Remove.

2003-10-22  Jeffrey Stedfast  <fejj@ximian.com>

	* e-storage-set-view.c (impl_tree_drag_data_received): Emit the
	right signal.
	(impl_tree_drag_data_get): Same.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* importer/intelligent.c (create_gui): Make the scrolled window
	have a GTK_SHADOW_IN shadow.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c (setup_widgets): Make the notebooks not have
	borders.
	(setup_widgets): Fix typo: e_get_language_list() returns a GSList,
	not a GList.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-browser.c (struct _EStorageBrowserPrivate): New member
	"storage_set_view_scrolled".
	(e_storage_browser_new): Put the storage_set_view in a scrolled
	window.  Set priv->storage_set_view_scrolled to this scrolled
	window.
	(e_storage_browser_peek_tree_widget_scrolled): New.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-sidebar.c (PADDING): Increase to 6 pixels.
	(button_toggled_callback): Add a cast.
	(e_sidebar_set_selection_widget): Handle the NULL widget case
	properly.
	(impl_remove): New, implementation for GtkContainer::remove.
	(do_layout): Add padding between the selection_widget and the
	button box.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c (struct _ComponentView): New member button_id.
	(struct _EShellWindowPrivate): New member sidebar.
	(component_new_new): Get a button_id arg.
	(component_button_clicked_callback): Removed.
	(sidebar_button_selected_callback): New.
	(create_component_button): Removed.
	(setup_widget): Set up the sidebar using ESidebar and hook up its
	"button_selected" signal.  Also get the component name from a
	property on the server info.
	(e_shell_window_new): Use BASE_VERSION for the version in the app
	name instead of hardcoding "1.5".

	* e-sidebar.c: New.
	* e-sidebar.h: New.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* GNOME_Evolution_Shell.server.in.in: Append a _2 to all the IIDs.

	* e-shell.h (E_SHELL_OAFIID): Change to "GNOME_Evolution_Shell_2"
	so it does not conflict with the old IID.

2003-10-22  Jeffrey Stedfast  <fejj@ximian.com>

	* e-shell-window.c (e_shell_window_new): Change to "evolution-1.5"
	- although, ideally, this should be a config.h macro or something.

2003-10-22  Dan Winship  <danw@ximian.com>

	* main.c: Remove e_proxy_init call. (e-proxy is gone now)

2003-10-17  Jeffrey Stedfast  <fejj@ximian.com>

	* e-storage-set-view.c: Rewrote the drag & drop code.

2003-10-21  Not Zed  <NotZed@Ximian.com>

	* e-storage-browser.c (e_storage_browser_show_path): ref the view
	since removing it from the hashtable will unref it.

2003-10-09  Jeffrey Stedfast  <fejj@ximian.com>

	* Makefile.am: INCLUDE path fixes for changes made to libical
	build.

2003-09-30  Ismael Olea <ismael@olea.org>

	* e-shell-about-box.c: fixed encoding for Spanish translators.

2003-09-29  Ettore Perazzoli  <ettore@ximian.com>

	* e-folder-selection-dialog.c, e-folder-selection-dialog.h: New
	files, based on e-shell-folder-selection-dialog.[ch].  These don't
	require the shell, they just need an EStorageSet to work.

2003-09-23  Charles Zhang  <charles.zhang@sun.com>

	* e-shell-startup-wizard.c (e_shell_startup_wizard_create): connect
	to "key_press_event" signal with key_press_event_callback.
	(key_press_event): Handle `ESC` key press event. [#48145]

2003-09-22  Hans Petter Jansson  <hpj@ximian.com>

	* Makefile.am (evolution_LDADD): libical.la -> libical-evolution.la

2003-09-12  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* e-config-upgrade.c: (utf8_reencode), (upgrade_xml_1_2_rec),
	(e_config_upgrade):
	Fix migration of shortcuts.xml which was incorrectly encoded by
	libxml1. (Mdk bug #4927)

2003-09-11  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-set-view.c (impl_right_click): If the
	right_click_row_path is not NULL (i.e. a menu is being popped up
	already), don't pop up the menu again.  [#48388]

2003-09-11  Ettore Perazzoli  <ettore@ximian.com>

	[#47875, thanks to Calvin Liu for figuring this out.]

	* e-shortcuts.c (e_shortcuts_add_default_shortcuts): Use the
	group_num arg, so it gets added to the proper group.
	(e_shortcuts_add_default_group): Pass the actual group number to
	e_shortcuts_add_default_shortcuts().

2003-09-11  Hans Petter Jansson  <hpj@ximian.com>

	* Makefile.am (evolution_LDADD): libical-evolution.la -> libical.la

2003-09-05  Yuedong Du  <yuedong.du@sun.com>

	* e-shell-importer.c: (importer_file_page_new),
	(importer_type_page_new), (show_import_wizard): Use 
	gtk_label_new_with_mnemonic() to replace gtk_label_new(). Use
	gtk_label_set_mnemonic_widget() to set up label<-> entry
	relationship. Change gtk_button_set_label() to 
	gtk_button_set_use_underline() and gtk_button_set_label(). Change 
	gtk_radio_button_new_with_label_from_widget() to 
	gtk_radio_button_new_with_mnemonic_from_widget(). fix bug #47867

2003-08-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c: New member current_view in struct
	EShellWindowPrivate.
	(init_view): Set it to the newly added view.  Also, switch the
	notebooks to the new page.
	(component_button_clicked_callback): Set current_view here as
	well, for existing views.
	(component_view_activate): New.
	(component_view_deactivate): New.
	(init_view): Deactivate existing view, activate new selected view.
	(component_button_clicked_callback): Likewise.
	(init_view): Set the component_iface to CORBA_OBJECT_NIL in the
	view if you cannot create the controls.

2003-08-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c (setup_widgets): Pass TRUE for @resize to
	gtk_paned_pack2() for the view notebook.

2003-07-29  Ettore Perazzoli  <ettore@ximian.com>

	* e-splash.c, e-splash.h: Removed from the build.

2003-07-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c (e_shell_close_all_windows): Oops.  Traverse the
	window list with a local "next" variable like we did in the
	original code.  Otherwise, we crash because the list is being
	modified at each gtk_widget_destroy().

2003-07-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-storage-browser.c (class_init): Set up "page_switched" signal.
	(e_storage_browser_show_path): Emit "page_switched".

	* e-storage-browser.h: New signal "page_switched".

2003-07-25  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-window.c: Removed member ui_container from
	EShellWindowPrivate.
	(e_shell_window_peek_shell): New.
	(e_shell_window_peek_bonobo_ui_component): New.
	(e_shell_window_new): Don't set the ui_container anymore, just get
	it ourselves.  Also call e_shell_window_commands_setup().

	* e-shell-window-commands.c, e-shell-window-commands.h: New files
	implementing the commands for the shell windows.

	* e-shell.c (e_shell_close_all_windows): Renamed from
	e_shell_destroy_all_windows().

	* main.c (idle_cb): Create a new window using
	e_shell_create_window().

	* e-shell-importer.h: Define _E_SHELL_IMPORTER_H_ to prevent
	multiple inclusion, instead of __IMPORTER_H__.  Also, do not
	#include <bonobo/bonobo-ui-component.h>.

	* e-shell-importer.c (e_shell_importer_start_import): Renamed from
	show_import_wizard().  Don't get any args.

2003-07-24  Ettore Perazzoli  <ettore@ximian.com>

	* main.c: Remove the global evolution_directory variable.
	(main): Just declare, assign and free the evolution_directory
	variable here.  Also, use g_idle_add() instead of gtk_idle_add().
	(idle_cb): Don't pass the evolution directory path to
	e_shell_new() anymore, since that arg is gone.

	* e-shell.c: Remove member local_directory from EShellPrivate.
	(impl_finalize): Don't free.
	(e_shell_init): Don't NULL.
	(e_shell_construct): Removed arg local_directory.
	(e_shell_new): Likewise.
	(e_shell_construct): Don't call e_setup_check_config() here.
	(e_shell_get_local_directory): Removed.

2003-07-24  Ettore Perazzoli  <ettore@ximian.com>

	* main.c: Removed global variable "no_splash".
	(idle_cb): Updated to not pass the splash argument to
	e_shell_new().
	(main): Removed "--no-splash" option.

	* e-shell.c: Removed members storage_set, local_storage,
	summary_storage, folder_type_registry, component_registry,
	corba_storage_registry from struct EShellPrivate.
	(setup_corba_storages): Removed.
	(e_shell_construct): Don't invoke.
	(setup_local_storage): Removed.
	(e_shell_construct): Don't invoke.  Also, removed initialization
	for all the removed members.
	(e_shell_new): No priv->storage_set anymore.
	(e_shell_get_storage_set): Removed.
	(e_shell_get_local_storage): Removed.
	(e_shell_get_folder_type_registry): Removed.
	(set_owner_on_components): Removed.
	(set_interactive): Removed contents; do nothing for now.
	(pop_up_activation_error_dialog): Removed.
	(e_shell_construct): Removed arg show_splash.  Do not create a
	splash dialog at all.
	(e_shell_new): Removed arg show_splash here as well.
	(e_shell_construct): No folder type registry handling here
	anymore.
	(setup_components): Removed splash arg.
	(save_settings_for_components): Removed.
	(save_settings_for_component): Removed.
	(save_misc_settings): Removed.
	(e_shell_save_settings): Moved the code in here.
	(e_shell_component_maybe_crashed): Removed.
	(e_shell_send_receive): Removed.
	(e_shell_get_component_registry): Removed.
	(prepare_for_quit_callback): Removed.

	* evolution-storage-set-view.c: Removed from build.
	* evolution-storage-set-view.h: Removed from build.
	* evolution-storage-set-view-factory.c: Removed from build.
	* evolution-storage-set-view-factory.h: Removed from build.

	* e-component-registry.c, e-component-registry.h: Removed from
	build.

	* e-shell-folder-creation-dialog.c: Removed from build.
	* e-shell-folder-creation-dialog.h: Removed from build.

	* e-shell-folder-selection-dialog.c: Removed from build.
	* e-shell-folder-selection-dialog.h: Removed from build.

2003-07-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-setup.c: Do not #include "e-shell-config.h".

	* main.c (idle_cb): Do not register the config factory.

	* e-shell.c: Removed members offline_handler, shortcuts and
	corba_shortcuts from EShellPrivate.
	(setup_shortcuts_interface): Removed.
	(storage_set_moved_folder_callback): Removed.
	(e_shell_construct): Don't connect.  Also, no need to set up the
	shortcuts either.
	(e_shell_get_shortcuts): Removed.
	(offline_procedure_started_cb): Removed.
	(offline_procedure_finished_cb): Removed.
	(e_shell_go_offline): Just assert for now.
	(e_shell_go_online): Same.

	* e-shell-config-autocompletion.c: Removed.
	* e-shell-config-autocompletion.h: Removed.

	* e-shell-config-default-folders.c: Removed.
	* e-shell-config-default-folders.h: Removed.

	* e-shell-config-folder-settings.c: Removed.
	* e-shell-config-folder-settings.h: Removed.

	* e-shell-config.c, e-shell-config.h: Removed.

	* e-corba-shortcuts.c, e-corba-shortcuts.h: Removed.

	* e-shortcuts-view-model.c, e-shortcuts-view-model.h: Removed.

	* e-shortcuts-view.c, e-shortcuts-view.h: Removed.

	* e-shortcuts.c, e-shortcuts.h: Removed.

	* e-shell-offline-handler.c, e-shell-offline-handler.h: Removed.
	
	* e-shell-offline-sync.c, e-shell-offline-sync.h: Removed.

	* e-shell-config-offline.c, e-shell-config-offline.h: Removed.

2003-07-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c: Renamed signal "new_view_created" to
	"new_window_created".  Renamed "no_views_left" to
	"no_windows_left". Renamed EShellPrivate member "views" to
	"windows".  Removed member user_creatable_items_handler.
	(notify_no_windows_left_idle_cb): Renamed from
	notify_no_views_left_idle_cb.  Emit "no_windows_left".
	(impl_Shell_createNewView): Raise an InternalError exception.
	(window_delete_event_cb): Renamed from view_delete_event_cb.
	(window_weak_notify): Renamed from view_weak_notify.
	(create_view): Removed.
	(create_window): New.  Creates a new EShellWindow.
	(e_shell_create_view): Removed.
	(e_shell_create_window): New.
	(e_shell_request_close_view): Removed.
	(e_shell_request_close_window): New.
	(e_shell_destroy_all_windows): Renamed from
	e_shell_destroy_all_views.
	(e_shell_component_maybe_crashed): Get an EShellWindow parameter,
	instead of an EShellView.
	(e_shell_go_offline): Likewise.
	(e_shell_go_online): Likewise.
	(e_shell_show_settings): Likewise.
	(get_icon_path_for_component_info): Removed.
	(setup_components): Do not do the user_creatable_items_handler
	stuff here.
	(e_shell_construct): Don't create the EUserCreatableItemsHandler
	here.
	(e_shell_get_user_creatable_items_handler): Crash when you get
	here.

	* e-shell-user-creatable-items-handler.c: Removed.
	* e-shell-user-creatable-items-handler.h: Removed.
	* e-shell-shared-folder-picker-dialog.c: Removed.
	* e-shell-shared-folder-picker-dialog.h: Removed.
	* e-shell-view.c, e-shell-view.h: Removed.
	* e-shell-view-menu.c, e-shell-view-menu.h: Removed.
	* e-shell-folder-commands.c, e-shell-folder-commands.h: Removed.
	* e-shell-importer.c, e-shell-importer.h: Removed.

	* main.c (new_window_created_callback): Renamed from
	new_view_created_callback.
	(window_map_callback): Renamed from view_map_callback.
	(idle_cb): Connect to "new_window_created" instead of
	"new_view_created".
	(no_windows_left_cb): Renamed from no_views_left_cb.
	(idle_cb): Connect to "no_windows_left" instead of
	"no_views_left".

	* e-shell-offline-handler.c: Changed the type of the
	parent_shell_view member of EShellOfflineHandlerPrivate to
	GtkWindow and renamed it to parent_window.
	(e_shell_offline_handler_put_components_offline): Just get a
	GtkWindow arg instead of an EShellView arg.

2003-07-24  Ettore Perazzoli  <ettore@ximian.com>

	* evolution-shell-client.c
	(evolution_shell_client_create_storage_set_view): Just crash when
	you get here.
	(evolution_shell_client_get_pixbuf_for_type): Likewise.
	(evolution_shell_client_set_line_status): Likewise.
	(evolution_shell_client_get_local_storage): Likewise.
	(evolution_shell_client_get_shortcuts_interface): Likewise.
	(evolution_shell_client_get_storage_registry_interface): Likewise.
	(evolution_shell_client_get_activity_interface): Likewise.
	(evolution_shell_client_user_select_folder): Likewise.
	(evolution_shell_client_new): Likewise.
	(evolution_shell_client_construct): Likewise.
	(query_shell_interface): Removed.
	(init): Do nothing.
	(class_init): Do nothing.
	(unref_pixbuf): Removed.
	(impl_dispose): Removed.
	(impl_finalize): Removed.
	(user_select_folder): Removed.
	(count_string_items): Removed.
	(create_folder_selection_listener_interface): Removed.
	(init_FolderSelectionListener_vtables): Removed.
	(impl_FolderSelectionListener_cancel): Removed.
	(impl_FolderSelectionListener_selected): Removed.
	(query_shell_interface): Removed.

	* e-shell.c (impl_Shell_getLocalStorage): Removed.
	(impl_Shell_createStorageSetView): Removed.
	(impl_Shell_getIconByType): Removed.
	(impl_Shell_getComponentByType): Removed.
	(impl_Shell_selectUserFolder): Removed.
	(e_shell_class_init): Do not install removed method impls.
	(folder_selection_dialog_cancelled_cb): Removed.
	(folder_selection_dialog_folder_selected_cb): Removed.

	* Evolution-Shell.idl (getLocalStorage): Removed
	(createStorageSetView): Removed.
	(selectUserFolder): Removed.
	(getIconByType): Removed.
	(getComponentByType): Removed.
	(FolderSelectionListener): Removed.

	* Evolution-Component.idl (requestQuit, interactive): New methods.

2003-07-24  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell.c: Removed activity_handler member from EShellPrivate.
	(setup_activity_interface): Removed.
	(e_shell_construct): Don't call.
	(create_view): Do not call e_activity_handler_attach_task_bar
	here.

	* e-activity-handler.c, e-activity-handler.h: Removed.

2003-07-24  Yuedong Du  <yuedong.du@sun.com>

	* e-shell-offline-handler.c: (dialog_response_cb): fix crash when
	user escape the dialog. see bug #46700.

2003-07-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-folder.c (e_folder_new): Accept a NULL description.

	* main.c (idle_cb): Create a new EShellWindow and show it.

	* e-storage.c: New signal "async_open_folder".
	(impl_async_open_folder): Removed.
	(class_init): Declare new signal.

	* e-shell.c (setup_components): Don't actually activate any
	components.

	* e-storage-browser.c, e-storage-browser.h: New.

	* e-shell-window.c, e-shell-window.h: New.

	* e-shell-marshal.list: Add an entry for
	NONE:STRING,POINTER,POINTER.

	* Evolution.idl: Include Evolution-Component.idl.

	* Evolution-Component.idl: New interface for Evolution components.

2003-07-23  Dan Winship  <danw@ximian.com>

	* Makefile.am: Use EVO_MARSHAL_RULE

	* e-shell-importer.c (prepare_intelligent_page): Fix a warning

2003-07-22  Antonio Xu  <antonio.xu@sun.com>

	* e-shell-startup-wizard.c (e_shell_startup_wizard_create): connect
	to "delete_event" signal with startup_wizard_delete. [#46284]

2003-07-22  Antonio Xu <antonio.xu@sun.com>

	* e-shell-importer.c: (show_import_wizard): use
	g_signal_connect_after to connect "prepare" signal.
	(prepare_intelligent_page): Display some error log and disable
	forward button rather than jump to finish page.  [#46017]

2003-07-15  Antonio Xu  <antonio.xu@sun.com>
	
        * e-shell-startup-wizard.c (e_shell_startup_wizard_create): connect
        "back" signal to back_finish_func in finish page.
        (back_finish_func): handle "back" signal.
        (prepare_importer_page): Jump to finish page when running equal zero.
        [#46026]

2003-07-17  Dan Winship  <danw@ximian.com>

	* e-shell-user-creatable-items-handler.c (free_menu_items): free
	the folder_type

	* e-splash.c (e_splash_new): Unref the pixbuf.

	* evolution-shell-component.c (impl_finalize): Add some missing
	frees.
	(user_creatable_item_type_free): free the tooltip

2003-07-09  Ettore Perazzoli  <ettore@ximian.com>

	* e-shell-folder-commands.c (e_shell_command_rename_folder): Do
	not overwrite an existing folder.  Also, cleaned up the code a
	bit.  [#45982]

2003-06-25  Chris Toshok  <toshok@ximian.com>

	* e-config-upgrade.c: add general_map and a reference to it in
	gconf_remap_list.  Should fix 44477.

2003-06-19  Dan Winship  <danw@ximian.com>

	* e-folder-tree.c (e_folder_tree_add): Don't leak parent_path,
	even on error

2003-06-16  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* Makefile.am:
	Add missing skel/stubs to BUILD_SOURCES (bug #44717).

2003-06-05  Not Zed  <NotZed@Ximian.com>

	** For #42691.

	* Makefile.am (%.server.in): use implicit rule.
	(BUILT_SOURCES): added server_DATA.

2003-05-22  Not Zed  <NotZed@Ximian.com>

	* e-config-upgrade.c (CONF_MAJOR, CONF_MINOR, CONF_REVISION): Set
	to 1.4.0 for release.

2003-06-10  Larry Ewing  <lewing@ximian.com>

	* e-corba-storage-registry.c (listener_notify): don't leak nr.name.

